<?php
/*
 * genres.class.php, 26 mai 2006
 * 
 * This file is part of videotheque.
 *
 * Copyright © 2005 Johan Cwiklinski
 *
 * File :               	genres.class.php
 * Author's email :     	johan@x-tnd.be
 * Author's Website :   	http://x-tnd.be
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 */

require_once("join.class.php");

/**
 * Types management
 *
 * @package    Vidéothèque
 * @author     Johan Cwiklinski <johan AT x-tnd DOT be>
 * @version    0.1
 * @link       http://videotheque.tuxfamily.org
 */

class Genres extends Join{
	const PK = "id_genre";
	const FIELD = "genre";
	const TABLE = _types;
	const RTABLE = _rtypes;

	/**
	* Constructeur
	*/
	function __construct(){
		parent::__construct(
			self::TABLE,
			self::RTABLE,
			self::PK,
			self::FIELD
		);
	}

	/**
	* Charge les genres d'une vidéo
	* @param id_movie identifiant de la vidéo
	* @return tableau des genres de la vidéo
	*/
	public function getMovieTypes($id_movie){
		return parent::getTypeFromMovie($id_movie);
	}

	/**
	* Récupère les films d'un genre
	* @param id identifiant du genre
	* @return tableau des films du genre
	*/
	public function getTypeMovies($id){
		return parent::getJoinedResults();
	}

	/**
	* Liste des genres pour autocomplete
	* @param string chaîne à rechercher
	* @return mdb2 results object
	*/
	public function listeGenres($string){
		return parent::getObject($string);
	}
}
?>