<?php
/*
 * origines.class.php, 26 mai 2006
 * 
 * This file is part of videotheque.
 *
 * Copyright © 2005 Johan Cwiklinski
 *
 * File :               	origines.class.php
 * Author's email :     	johan@x-tnd.be
 * Author's Website :   	http://x-tnd.be
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 */

require_once('join.class.php');

/**
 * Origins management
 *
 * @package    Vidéothèque
 * @author     Johan Cwiklinski <johan AT x-tnd DOT be>
 * @version    0.1
 * @link       http://videotheque.tuxfamily.org
 */
class Origines extends Join{
	const PK = 'id_origine';
	const FIELD = 'origine';
	const TABLE = _origins;
	const RTABLE = _origins;

	/**
	* Constructeur
	*/
	function __construct(){
		parent::__construct(
			self::TABLE,
			self::RTABLE,
			self::PK,
			self::FIELD
		);
	}


 	/**
	* Charge les origines d'une vidéo
	* @param id_movie identifiant de la vidéo
	* @return tableau des origines de la vidéo
	*/
	public function getMovieOrigins($id_movie){
		return parent::getTypeFromMovie($id_movie);
	}

	/**
	* Récupère les films d'une origine
	* @param id identifiant de l'origine
	* @return tableau des films de l'origine
	*/
	public function getOriginMovies($id){
		return parent::getJoinedResults();
	}

	/**
	* Liste des origines pour autocomplete
	* @param string chaîne à rechercher
	* @return mdb2 results object
	*/
	public function listeOrigines($string){
		return parent::getObject($string);
	}

}
?>