<?php
/*
 * users.class.php, 26 mai 2006
 * 
 * This file is part of videotheque.
 *
 * Copyright © 2005 Johan Cwiklinski
 *
 * File :               	users.class.php
 * Author's email :     	johan@x-tnd.be
 * Author's Website :   	http://x-tnd.be
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 */

/**
 * Préférences de l'application
 *
 * @package    Vidéothèque
 * @author     Johan Cwiklinski <johan AT x-tnd DOT be>
 * @version    0.1
 * @link       http://videotheque.tuxfamily.org
 */
class Preferences{
	private $coversPath;
	private $defaultCollection;
	private $restrict; //usage ??
	private $webDefault;
	private $pluginsPath;
	private $useAjax;

	const TABLE = _preferences;

	/**
	* Default constructor
	*/
	public function __construct(){
		$this->load();
	}

	/**
	* Load preferences from database
	*/
	public function load(){
		global $db;
		$requete = 'SELECT * FROM ' . self::TABLE;

		if( !$result = $db->query( $requete ) )
			return -1;

		if($result->numRows()==1){
			$row = $result->fetchRow();
			$this->coversPath = $row->covers_path;
			$this->defaultCollection = $row->default_collection;
			$this->restrict = $row->restrict;
			$this->webDefault = $row->web_default;
			$this->pluginsPath = $row->plugins_path;
			$this->useAjax = $row->use_ajax;
		}

	}

	/**
	* Save preferences into the database
	*/
	public function store(){
		global $db;
		$requete = 'UPDATE ' . self::TABLE . ' SET ';
		$requete .= 'covers_path=\'' . $this->coversPath . '\', ';
		$requete .= 'default_collection=' . $this->defaultCollection . ', ';
// 		$requete .= "restrict=".$this->restrict.", ";
// 		$requete .= "pluginsPath='".$this->pluginsPath."', ";
		$requete .= 'use_ajax=' . $this->useAjax;

		if( !$result = $db->query( $requete ) )
			return -1;
	}

	/* GETTERS */
	public function getCoversPath(){return $this->coversPath;}
	public function getDefaultCollection(){return $this->defaultCollection;}
	public function isRestrict(){return $this->restrict;}
	public function getWebDefault(){return $this->webDefault;}
	public function getPluginsPath(){return $this->pluginsPath;}
	public function usesAjax(){return $this->useAjax;}

	/* SETTERS */
	public function setCoversPath($coversPath){$this->coversPath = $coversPath;}
	public function setDefaultCollection($collection){$this->defaultCollection = $collection;}
	public function setRestrict($restrict){$this->restrict = $restrict;}
	public function setWebDefault($webDefault){$this->webDefault = $webDefault;}
	public function setPluginsPath($pluginsPath){$this->pluginsPath = $pluginsPath;}
	public function setUseAjax($useAjax){$this->useAjax = $useAjax;}
}

?>