<?php
/*
 * realisateurs.class.php, 26 mai 2006
 * 
 * This file is part of videotheque.
 *
 * Copyright © 2005 Johan Cwiklinski
 *
 * File :               	realisateurs.class.php
 * Author's email :     	johan@x-tnd.be
 * Author's Website :   	http://x-tnd.be
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 */

require_once('join.class.php');

/**
 * Directors management
 *
 * @package    Vidéothèque
 * @author     Johan Cwiklinski <johan AT x-tnd DOT be>
 * @version    0.1
 * @link       http://videotheque.tuxfamily.org
 */
class Realisateurs extends Join{
	const PK = 'id_realisateur';
	const FIELD = 'realisateur';
	const TABLE = _directors;
	const RTABLE = _rdirectors;

	/**
	* Default constructor
	*/
	function __construct(){
		parent::__construct(
			self::TABLE,
			self::RTABLE,
			self::PK,
			self::FIELD
		);
	}

	/**
	* Get a movie's directors list
	* @param id_movie movie's id to retrieve
	*/
	public function getMovieDirectors($id_movie){
		return parent::getTypeFromMovie($id_movie);
	}

	/**
	* Get a director's movies list
	* @param id director's id to retrieve
	*/
	public function getDirectorMovies($id){
		return parent::getJoinedResults();
	}

	/**
	* Directors list for autocomplete
	* @param string string to search
	* @return mdb2 results object
	*/
	public function listDirectors($string){
		return parent::getObject($string);
	}

}
?>