<?php
/*
 * users.class.php, 26 mai 2006
 * 
 * This file is part of videotheque.
 *
 * Copyright © 2005 Johan Cwiklinski
 *
 * File :               	users.class.php
 * Author's email :     	johan@x-tnd.be
 * Author's Website :   	http://x-tnd.be
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 */

/**
 * Users management
 *
 * @package    Vidéothèque
 * @author     Johan Cwiklinski <johan AT x-tnd DOT be>
 * @version    0.1
 * @link       http://videotheque.tuxfamily.org
 */
class Users{
	private $login;
	private $passe;
	private $email;
	private $date_inscription;
	private $last_login;
	private $admin;
	private $auth;
	private $logged;
	private $use_ajax;

	const TABLE = _users;
	const PK = 'login';
	private $compte;
	
	/**
	* Default constructor
	*/
	public function __construct(){}

	/**
	* Logs in user.
	* @param user user's login
	* @param passe md5 hashed password
	* @returns integer state : 
	* 	'-1' if there were a database error
	*	'-10' if user cannot login (mistake or user doesn't exists)
	*	'1' if user were logged in successfully
	*/
	public function logIn($user, $passe){
		global $db;
		$requete = 'SELECT * FROM ' . self::TABLE . ' WHERE ' . self::PK . '=\'' . $user. '\' AND password=\'' . $passe . '\'';

		if( !$result = $db->query( $requete ) )
			return -1;
		
		if($result->numRows() == 0){
			return(-10);
		}else{
			$row = $result->fetchRow();
			$this->login = $row->login;
			$this->passe = $row->password;
			$this->email = $row->mail;
			$this->admin = $row->admin;
			$this->auth = $row->auth;
			$this->date_inscription = $row->date;
			$this->last_login = $row->last_connect;
			$this->use_ajax = $row->use_ajax;
			$this->logged = true;
			$this->upLastConn($this->login);
			return(1);
		}
	}

	/**
	* Updates last connexion time of the user to current time.
	* @param name user's login to update
	*/
	private function upLastConn($name){
		global $db;
		$date = date("Y-m-d H:i:s");
		$requete = 'UPDATE ' . self::TABLE . ' SET last_connect=\'' . $date . '\' WHERE login=\'' . $name . '\'';

		if( !$result = $db->query( $requete ) )
			return -1;

		$this->last_login = $date;
	}

	/**
	* Log out current user
	*/
	public function logOut(){
		$this->logged = false;

		$this->login = NULL;
		$this->passe = NULL;
		$this->email = NULL;
		$this->admin = NULL;
		$this->auth = NULL;
		$this->date_inscription = NULL;
		$this->last_login = NULL;
		$this->use_ajax = NULL;
	}

	/**
	* Loads specified login's rows.
	* @param login user's login to load
	* @returns '-1' if there were a database problem, nothing otherwise
	*/
	public function load($login){
		global $db;
		$this->login = $login;
		$requete = 'SELECT * FROM ' . self::TABLE . ' WHERE login=\'' . $this->login.'\'';

		if( !$result = $db->query( $requete ) )
			return -1;

		$row = $result->fetchRow();
		$this->login = $row->login;
		$this->passe = $row->password;
		$this->email = $row->mail;
		$this->admin = $row->admin;
		$this->date_inscription = $row->date;
		$this->auth = $row->auth;
		$this->last_login = $row->last_connect;
		$this->use_ajax = $row->use_ajax;
	}

	/**
	* Register new user into database
	* @returns '-1' if there were a database problem, nothing otherwise
	*/
	public function register(){
		global $db;
		$this->date_inscription = date("Y-m-d H:i:s");

		$requete = 'INSERT INTO ' . self::TABLE . " SET ";
		$requete .= $this->buildQueries();

		if( !$result = $db->query( $requete ) )
			return -1;
		return 1;
	}

	/**
	* Deletes the specified login
	* @param login login to delete
	* @returns state :
	*	'-1' if there were a database problem
	*	'1' if user was successfully deleted
	*/
	public function delete($login){
		global $db;
		$requete = 'DELETE FROM ' . self::TABLE . ' WHERE login=\'' . $login . '\'';

		if( !$result = $db->query( $requete ) )
			return -1;
		return 1;
	}

	/**
	* Updates current user details to database.
	* @param login login to update
	* @returns '-1' if there were a database problem, nothing otherwise
	*/
	public function update($login){
		global $db;
		$requete = 'UPDATE ' . self::TABLE . ' SET ';
		$requete .= $this->buildQueries();
		$requete .= ' WHERE ' . self::PK . '=\'' . $login . '\'';

		if( !$result = $db->query( $requete ) )
			return -1;
		return 1;
	}

	/**
	* Builds queries commons parts for register and update.
	* @return query string without STATEMENT nor WHERE clause
	*/
	private function buildQueries(){
		$requete = 'login=\'' . $this->login . '\', ';
		$requete .= 'password=\'' . $this->passe . '\', ';
		$requete .= 'mail=\'' . $this->email . '\', ';
		$requete .= 'admin=\'' . $this->admin . '\', ';
		$requete .= 'date=\'' . $this->date_inscription . '\', ';
		$requete .= 'auth=\'' . $this->auth . '\', ';
		$requete .= 'use_ajax=\'' . $this->use_ajax . '\'';
		return $requete;
	}

	/**
	* Loads the list of users from database
	* @returns
	*	array of users, if all goes well
	* 	'-1' if there were a database problem
	*/
	public function getList(){
		global $db;
		$requete = 'SELECT * FROM ' . self::TABLE . ' ORDER BY ' . self::PK . ' ASC';

		if( !$result = $db->query( $requete ) )
			return -1;

		$this->compte = $result->numRows();

		$list = $result->fetchAll();
		$array = array();
		foreach($list as $l){
			$array[] = array(
				'login'	=>	$l->login,
				'mail'	=>	$l->mail,
				'admin'	=>	$l->admin,
				'auth'	=>	$l->auth,
				'ajax'	=>	$l->use_ajax
			);
		}
		return $array;

	}

	/* GETTERS */
	public function isLogged(){return $this->logged;}
	public function isAdmin(){return $this->admin;}
	public function isAuth(){return $this->auth;}
	public function getLogin(){return $this->login;}
	public function getPasse(){return $this->passe;}
	public function getMail(){return $this->email;}
	public function getDateInscription(){return $this->date_inscription;}
	public function getLastConnect(){return $this->last_login;}
	public function getCompte(){return $this->compte;}
	public function useAjax(){return $this->use_ajax;}

	/* SETTERS */
	public function setAdmin($admin){$this->admin = $admin;}
	public function setAuth($auth){$this->auth = $auth;}
	public function setLogin($login){$this->login = $login;}
	public function setMail($mail){$this->email = $mail;}
	public function setPasse($passe){$this->passe = $passe;}
	public function setUseAjax($use){$this->use_ajax = $use;}
}

?>