<?php
/*
 * search.php, 16 mars 2008
 * 
 * This file is part of videotheque.
 *
 * Copyright © 2008 Johan Cwiklinski
 *
 * File :               	search.php
 * Author's email :     	johan@x-tnd.be
 * Author's Website :   	http://videotheque.tuxfamily.org
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 */

/**
 * Advanced search tabs
 * All tabs must appears on the page, to be included
 * in the search form.
 *
 * @package    Vidéothèque
 * @author     Johan Cwiklinski <johan AT x-tnd DOT be>
 * @version    0.5
 * @link       http://videotheque.tuxfamily.org
 */

/** FIXME: headers alreday send by search.php */
/*if(isset($_GET['ajax'])){
	header('Content-Type: text/xml;charset=utf-8');
	include_once('../parts/php_header.php');
}*/

class searchObject{
	private $operator = 'and';
	private $method = 'is';
	private $value;

	/**
	* Default constructor
	*/
	public function __construct($value, $operator = null, $method = null){
		$this->value = $value;
		if($operator != null) $this->operator = $operator;
		if($method != null) $this->method = $method;
	}

	public function __get($name){
		return $this->$name;
	}

	public function __set($name, $value){
		$this->$name = $value;
	}
}

function drawLine($from, $iteration = 0, $object){
	global $commons;
?>
					<tr id="<?php echo 'search_' . $from . $iteration; ?>">
						<td>
							<label for="<?php echo 'search_' . $from . '_op' . $iteration; ?>" class="hidden"><?php echo $commons->getValue('operator'); ?></label>
							<select name="<?php echo 'search_' . $from . '_op' ?>[]" id="<?php echo 'search_' . $from . '_op' . $iteration; ?>">
								<option value="or"<?php if($object->operator == 'or') echo ' selected="selected"'; ?>><?php echo $commons->getValue('or'); ?></option>
								<option value="and"<?php if($object->operator == 'and') echo ' selected="selected"'; ?>><?php echo $commons->getValue('and'); ?></option>
								<option value="not"<?php if($object->operator == 'not') echo ' selected="selected"'; ?>><?php echo $commons->getValue('not'); ?></option>
							</select>
						</td>
						<td>
							<label for="<?php echo 'search_' . $from . '_method' . $iteration; ?>" class="hidden"><?php echo $commons->getValue('method'); ?></label>
							<select name="<?php echo 'search_' . $from . '_method'; ?>[]" id="<?php echo 'search_' . $from . '_method' . $iteration; ?>">
								<option value="is"<?php if($object->method == 'is') echo ' selected="selected"'; ?>><?php echo $commons->getValue('is'); ?></option>
								<option value="like"<?php if($object->method == 'like') echo ' selected="selected"'; ?>><?php echo $commons->getValue('like'); ?></option>
							</select>
						</td>
						<td class="value">
							<label for="<?php echo 'search_' . $from . '_text' . $iteration; ?>" class="hidden"><?php echo $commons->getValue('valeur'); ?></label>
							<input type="text" name="<?php echo 'search_' . $from; ?>[]" id="<?php echo 'search_' . $from . '_text' . $iteration; ?>" value="<?php echo $object->value; ?>" class="<?php echo $from; ?>_autocompleter"/>
						</td>
						<td>
							<input type="image" src="../images/browse.png" value="" name="<?php echo 'search_' . $from . 'browse' . $iteration; ?>" alt="..."/>
						</td>
						<td class="nowrap">
							<input type="image" name="addline" value="<?php echo $from; ?>-<?php echo $iteration; ?>" id="<?php echo $from; ?>_addline<?php echo $iteration; ?>" alt="<?php echo $commons->getValue('add'); ?>" src="../images/plus.png" title="<?php echo $commons->getValue('add_msg'); ?>"/>
<?php if($iteration > 0) { ?>
							<input type="image" name="rmline" value="<?php echo $from; ?>-<?php echo $iteration; ?>" id="<?php echo $from; ?>rmline<?php echo $iteration; ?>" alt="<?php echo $commons->getValue('remove'); ?>" src="../images/moins.png" title="<?php echo $commons->getValue('remove_msg'); ?>"/>
<?php } ?>
						</td>
					</tr>
<?php
}

?>

				<table id="general_ad_search" class="nohover">
					<tr>
						<!-- Title -->
						<th>
							<label for="search_title"><?php echo $commons->getValue('select_title'); ?></label>
						</th>
						<td>
							<input type="text" name="search_title" id="search_title" value="<?php echo $varspages->getTitle(); ?>" />
						</td>
					</tr>
					<tr>
						<td colspan="2">
							<table class="small fright">
								<tr>
									<th><label for="year"><?php echo $commons->getValue('year'); ?></label></th>
									<td>
										<select id="year" name="year_operator">
											<option value="between"><?php echo $commons->getValue('beetween'); ?></option>
											<option value="before"><?php echo $commons->getValue('before'); ?></option>
											<option value="after"><?php echo $commons->getValue('after'); ?></option>
										</select>
									</td>
									<th><label for="year_begin"><?php echo $commons->getValue('begin'); ?></label></th>
									<td><input type="text" id="year_begin" name="year_begin" class="spin_button" value="<?php echo $varspages->year['from']; ?>"/></td>
									<th><label for="year_end"><?php echo $commons->getValue('end'); ?></label></th>
									<td><input type="text" id="year_end" name="year_end" class="spin_button" value="<?php echo $varspages->year['to']; ?>"/></td>
								</tr>
								<tr>
									<th><label for="duration"><?php echo $commons->getValue('film_duree'); ?></label></th>
									<td>
										<select id="duration" name="duration_operator">
											<option value="between"><?php echo $commons->getValue('beetween'); ?></option>
											<option value="lower"><?php echo $commons->getValue('lower'); ?></option>
											<option value="upper"><?php echo $commons->getValue('upper'); ?></option>
										</select>
									</td>
									<th><label for="duration_min"><?php echo $commons->getValue('min'); ?></label></th>
									<td><input type="text" id="duration_min" name="duration_min" class="spin_button" value="<?php echo $varspages->duration['from']; ?>"/></td>
									<th><label for="duration_max"><?php echo $commons->getValue('max'); ?></label></th>
									<td><input type="text" id="duration_max" name="duration_max" class="spin_button" value="<?php echo $varspages->duration['to']; ?>"/></td>
								</tr>
							</table>
						</td>
					</tr>
					<tr>
						<th>
							<label for="search_resume"><?php echo $commons->getValue('film_resume'); ?></label>
						</th>
						<td>
							<textarea id="search_resume" name="search_resume" rows="2" cols="50"></textarea>
						</td>
					</tr>
				</table>

				<table id="types_ad_search" class="nohover">
					<tr>
						<td colspan="5" class="right">
							<label for="types_operator"><?php echo $commons->getValue('types_operator'); ?></label>
							<select name="types_operator" id="types_operator">
								<option value="or"<?php if($varspages->types_operator == 'or') echo ' selected="selected"'; ?>><?php echo $commons->getValue('or'); ?></option>
								<option value="and"<?php if($varspages->types_operator == 'and') echo ' selected="selected"'; ?>><?php echo $commons->getValue('and'); ?></option>
								<option value="not"<?php if($varspages->types_operator == 'not') echo ' selected="selected"'; ?>><?php echo $commons->getValue('not'); ?></option>
							</select>
						</td>
					</tr>
<?php
$index = 0;
if($varspages->getGenre()){
	if(is_array($varspages->getGenre())){
		$types = $varspages->getGenre();
		foreach($types as $type){
			$object = new searchObject($type);
			drawLine('type', $index, $object);
			$index++;
		}
	}else{
		$type = $varspages->getGenre();
		if( preg_match('/[[:digit:]]/', $type) ){
			require_once(_classPath . 'genres.class.php'); 
			$o = new Genres();
			$new = $o->getNames($type);
			$type = $new[0];
		}
		$object = new searchObject($type);
		drawLine('type', $index, $object);
		$index++;
	}
}
/* draws a new line*/
drawLine('type', $index, new searchObject(''));
?>
				</table>

				<table id="origins_ad_search" class="nohover">
					<tr>
						<td colspan="5" class="right">
							<label for="origins_operator"><?php echo $commons->getValue('origins_operator'); ?></label>
							<select name="origins_operator" id="origins_operator">
								<option value="or"<?php if($varspages->origins_operator == 'or') echo ' selected="selected"'; ?>><?php echo $commons->getValue('or'); ?></option>
								<option value="and"<?php if($varspages->origins_operator == 'and') echo ' selected="selected"'; ?>><?php echo $commons->getValue('and'); ?></option>
								<option value="not"<?php if($varspages->origins_operator == 'not') echo ' selected="selected"'; ?>><?php echo $commons->getValue('not'); ?></option>
							</select>
						</td>
					</tr>
<?php
$index = 0;
/* draws a new line*/
drawLine('origin', $index, new searchObject(''));
?>
				</table>

				<table id="directors_ad_search" class="nohover">
					<tr>
						<td colspan="5" class="right">
							<label for="directors_operator"><?php echo $commons->getValue('directors_operator'); ?></label>
							<select name="directors_operator" id="directors_operator">
								<option value="or"<?php if($varspages->directors_operator == 'or') echo ' selected="selected"'; ?>><?php echo $commons->getValue('or'); ?></option>
								<option value="and"<?php if($varspages->directors_operator == 'and') echo ' selected="selected"'; ?>><?php echo $commons->getValue('and'); ?></option>
								<option value="not"<?php if($varspages->directors_operator == 'not') echo ' selected="selected"'; ?>><?php echo $commons->getValue('not'); ?></option>
							</select>
						</td>
					</tr>
<?php
$index = 0;
/* draws a new line*/
drawLine('director', $index, new searchObject(''));
?>
				</table>

				<table id="actors_ad_search" class="nohover">
					<tr>
						<td colspan="5" class="right">
							<label for="actors_operator"><?php echo $commons->getValue('actors_operator'); ?></label>
							<select name="actors_operator" id="actors_operator">
								<option value="or"<?php if($varspages->actors_operator == 'or') echo ' selected="selected"'; ?>><?php echo $commons->getValue('or'); ?></option>
								<option value="and"<?php if($varspages->actors_operator == 'and') echo ' selected="selected"'; ?>><?php echo $commons->getValue('and'); ?></option>
								<option value="not"<?php if($varspages->actors_operator == 'not') echo ' selected="selected"'; ?>><?php echo $commons->getValue('not'); ?></option>
							</select>
						</td>
					</tr>
<?php
$index = 0;
/* draws a new line*/
drawLine('actor', $index, new searchObject(''));
?>
				</table>