<?php
/*
 * details.php, 26 mai 2006
 * 
 * This file is part of videotheque.
 *
 * Copyright © 2005 Johan Cwiklinski
 *
 * File :               	details.php
 * Author's email :     	johan@x-tnd.be
 * Author's Website :   	http://videotheque.tuxfamily.org
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 */

include('../parts/php_header.php');
require_once(_classPath . 'films.class.php');
require_once(_classPath . 'genres.class.php');

$films = new Films();
//si lien en provenance de la page vue réservations
/*if($_GET["private"]==1 && $login->isAuth()){
	$varspages->modifvalue("special", true);
}elseif($_GET["private"]==2){$varspages->modifvalue("special", false);}*/

$films->loadMovie($_GET['id']);
$genres = new Genres();

function regExpFile($regExp, $dir, $regType='P', $case='') {
	# Two parameters accepted by $regType are E for ereg* functions
	# and P for preg* functions
	$func = ( $regType == 'P' ) ? 'preg_match' : 'ereg' . $case;

	# Note, technically anything other than P will use ereg* functions;
	# however, you can specify whether to use ereg or eregi by
	# declaring $case as "i" to use eregi rather than ereg

	$open = opendir($dir);
	while( ($file = readdir($open)) !== false ) {
		if ( $func($regExp, $file) ) {
			return true;
		}
	} // End while
	return false;
} // End function


function listCovers($dir, $pattern){
	$varDirectory = dir($dir);
	$array = array();
	while($directory=$varDirectory->read()){
		if($directory!='.' && $directory!='..'){
			if(ereg($pattern, $directory)){
				$array[] = $directory;
			}
		}
	}
	$varDirectory->close();
	return $array;
}

/****************************************************/
/*                  Page HTML                       */
/****************************************************/
$headCaption = $commons->getValue('titre') . ' - ' . preg_replace("(%f)", $films->getTitre(), $commons->getValue('detailsfilm'));
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo substr($langs->language, 0, 2); ?>">
<head>
<?php include(_includePath . 'html-header.php'); ?>
</head>
<body>
	<div id="smalllogo">
		<img src="../images/logo.jpg" alt="" />
	</div>
<?php
include(_includePath . 'top-divx.inc.php');
include(_includePath . 'menu.php');
?>
<div id="corpus">
	<p class="right"><?php echo '<a href="' . $_SERVER['HTTP_REFERER'] . '">' . $commons->getValue('previous_page') . '</a>'; ?></p>
	<table id="details" class="nohover">
		<tfoot>
			<tr>
				<td colspan="3">
<?php
$array_acteur = array();
foreach($films->getActeurs() as $acteur){
	$array_acteur[] = '<a href="../films/index.php?search_actor=' . $acteur['id'] . '&amp;search_mode=advanced">' . $acteur['acteur'] . '</a>';
}
echo '<strong>' . $commons->getValue('film_acteurs') . '</strong><br/>';
echo (count($array_acteur)>0)?implode(', ', $array_acteur):$commons->getValue('film_no_actors');

?>
				</td>
			</tr>
		</tfoot>
		<tbody>
			<tr>
				<th><?php echo $commons->getValue('film_numero'); ?></th>
				<td><?php echo $films->getId(); ?></td>
				<td id="cover" rowspan="10">
<?php
$path = explode('/',$_SERVER['SCRIPT_FILENAME']);
array_pop($path);
array_pop($path);

$covers = listCovers(implode('/',$path) . '/covers', '^' . $films->getId() . '_-_');
if(count($covers)>0){
	echo '<img src="../covers/' . $covers[($_GET['cover'])?$_GET['cover']-1:'0'] . '" alt="" width="300" height="300" />';
	for($i = 1 ; $i < count($covers)+1 ; $i ++){
		echo '<a href="?id=' . $films->getId() . '&amp;cover=' . $i . '">' . $i . '</a>';
	}
}else{
	echo '<img src="../images/none.jpg" alt="" width="300" height="300" />';
}
?>
				</td>
			</tr>
			<tr>
				<th><?php echo $commons->getValue('film_titre'); ?></th>
				<td><?php echo $films->getTitre(); ?></td>
			</tr>
			<tr>
				<th><?php echo $commons->getValue('film_sous_titre'); ?></th>
				<td><?php echo $films->getSousTitre(); ?></td>
			</tr>
			<tr>
				<th><?php echo $commons->getValue('film_annee'); ?></th>
				<td><?php echo $films->getAnnee(); ?></td>
			</tr>
			<tr>
				<th><?php echo $commons->getValue('film_realisateurs'); ?></th>
				<td>
<?php 
foreach($films->getRealisateurs() as $real){
	$array_reals[] = '<a href="../films/index.php?search_director=' . $real['id'] . '&amp;search_mode=advanced">' . $real['realisateur'] . '</a>';
}
if(count($array_reals)>0) echo implode(', ', $array_reals);
?>
				</td>
			</tr>
			<tr>
				<th><?php echo $commons->getValue('film_genres'); ?></th>
				<td>
<?php 
foreach($films->getGenres() as $genre){
	$array_genre[] = '<a href="../films/index.php?search_type=' . $genre['id'] . '">' . $genre['genre'] . '</a>';
}
if(count($array_genre)>0) echo implode(', ', $array_genre);
?>
				</td>
			</tr>
			<tr>
				<th><?php echo $commons->getValue('film_duree'); ?></th>
				<td><?php echo $films->getDuree() . ' minutes'; ?></td>
			</tr>
			<tr>
				<th><?php echo $commons->getValue('film_cd'); ?></th>
				<td><?php echo $films->getCd(); ?></td>
			</tr>
			<tr>
				<th><?php echo $commons->getValue('film_origines'); ?></th>
				<td>
<?php
foreach($films->getOrigines() as $origine){
	$array_origine[] = '<a href="../films/index.php?search_origin=' . $origine['id'] . '&amp;search_mode=advanced">' . $origine['origine'] . '</a>';
}
if(count($array_origine)>0) echo implode(', ', $array_origine);
?>
				</td>
			</tr>
			<tr>
				<th><?php echo $commons->getValue('film_resume'); ?></th>
				<td><?php echo $films->getResume(); ?></td>
			</tr>
		</tbody>
	</table>
</div>
<?php
include(_includePath . 'copyright.php');
?>
</body>
</html>