<?php
/*
 * index.php, 26 mai 2006
 * 
 * This file is part of videotheque.
 *
 * Copyright © 2005 Johan Cwiklinski
 *
 * File :               	index.php
 * Author's email :     	johan@x-tnd.be
 * Author's Website :   	http://videotheque.tuxfamily.org
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 */

include('../parts/php_header.php');
include(_classPath . 'reservation.class.php');

if(isset($_GET['mode']))
	$varspages->mode = $_GET['mode'];

if(isset($_GET['enrsby']))
	$varspages->enrsbypage = $_GET['enrsby'];

if(isset($_SESSION['reserv']) && !isset($_GET['collection']))
	$reservation = unserialize($_SESSION['reserv']);
else
	$reservation = new Reservation();

if($varspages->getMode() == Varspage::RESERV_MODE){
	if(isset($_GET['reserver'])) $reservation->add($_GET['reserver']);
	if(isset($_GET['del_reserve'])) $reservation->deletes($_GET['del_reserve']);
}
$_SESSION['reserv']=serialize($reservation);

if(isset($_GET['private']) && $login->isAuth())
	$varspages->modifvalue('special', ($_GET['private'] == 1)?true:false);

if(isset($_GET['page']))
	$varspages->modifvalue('pageencours', $_GET['page']);

if(isset($_GET['tri'])){
	if($_GET['tri'] == $varspages->getOrder()){//ordre inverse
		$varspages->invertorder();
	}else{//ordre normal
		$varspages->modifvalue('orderby', $_GET['tri']);
		$varspages->modifvalue('ordered', Varspage::ORDER_ASC);
	}
}

if(
	isset($_GET['search_title'])
	|| isset($_GET['search_type'])
	|| isset($_GET['search_director'])
	|| isset($_GET['search_origin'])
	|| isset($_GET['search_actor'])
){
	$varspages->searchInit();
	if(isset($_GET['search_title'])) $varspages->setTitle($_GET['search_title']);
	if($_GET['search_type']) $varspages->type = $_GET['search_type'];
	if($_GET['search_director']) $varspages->director = $_GET['search_director'];
	if($_GET['search_origin']) $varspages->origin = $_GET['search_origin'];
	if($_GET['search_actor']) $varspages->actor = $_GET['search_actor'];
}

if(
	isset($_GET['duration_min']) 
	&& isset($_GET['duration_max']) 
	&& $_GET['duration_min'] != 0 
	&& $_GET['duration_max'] !=0
){
	$varspages->duration = array($_GET['duration_min'], $_GET['duration_max']);
}elseif(
	isset($_GET['duration_min']) && $_GET['duration_min'] !=0
	&& ( !isset($_GET['duration_max']) || $_GET['duration_max'] == 0 )
){
	$varspages->duration = array($_GET['duration_min'], null);
}elseif(
	isset($_GET['duration_max']) && $_GET['duration_max'] != 0
	&& ( !isset($_GET['duration_min']) || $_GET['duration_min'] == 0 )
){
	$varspages->duration = array(null, $_GET['duration_max']);
}else $varspages->duration = null;

if(
	isset($_GET['year_begin']) 
	&& isset($_GET['year_end']) 
	&& $_GET['year_begin'] != 0 
	&& $_GET['year_end'] !=0
){
	$varspages->year = array($_GET['year_begin'], $_GET['year_end']);
}elseif(
	isset($_GET['year_begin']) && $_GET['year_begin'] != 0
	&& ( !isset($_GET['year_end']) || $_GET['year_end'] ==0 )
){
	$varspages->year = array($_GET['year_begin'], null);
}elseif(
	isset($_GET['year_end']) && $_GET['year_end'] !=0
	&& ( !isset($_GET['year_begin']) || $_GET['year_begin'] ==0 )
){
	$varspages->year = array(null, $_GET['year_end']);
}else $varspages->year = null;

//set current tab, in case of addline or rmline
if(isset($_GET['addline']) || isset($_GET['rmline'])){
	$line = (isset($_GET['addline'])?$_GET['addline']:$_GET['rmline']);
	list($from_tab, $from_line) = explode('-', $line);
	$_GET['tab'] = $from_tab;
}

$_SESSION['varspages'] = serialize($varspages);
$liste_films = $films->getList();

if($varspages->getRange() == 'all'){
	$countpages = 1;
}else{
	$countpages = ceil($films->getCompte() / $varspages->getRange());
	if($varspages->getPage()>$countpages) header('location:index.php?page=' . $countpages);
}

/****************************************************/
/*                  Page HTML                       */
/****************************************************/
$headCaption = $commons->getValue('titre') . ' - ';
$headCaption .= ($varspages->getMode() == Varspage::CONSULT_MODE)?$commons->getValue('listefilms'):$commons->getValue('reservefilm');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo substr($langs->language, 0, 2); ?>">
<head>
<?php include(_includePath . 'html-header.php'); ?>
<?php if(useAjax()){ ?>
	<script type='text/javascript' src='<?php echo _baseFunctions; ?>jquery/JQuerySpinBtn.js'></script>
	<link rel="stylesheet" type="text/css" href="<?php echo _baseTemplates; ?>JQuerySpinBtn.css" />
	
	<script type="text/javascript">
	<!--
		var _qsFormAdress = "search.php";
		var _first = false;

<?php if($varspages->getMode() == Varspage::RESERV_MODE){ ?>
			//Reservation buttons
		var _reservAdress = 'add_reservation.php';

		function reserveMovie(mode, num, object){
			var img_src = (mode=='reserver')?'../images/moins.png':'../images/plus.png';
			var img_alt_del = '<?php echo $commons->getvalue('del_reserve'); ?>';
			var img_alt = '<?php echo $commons->getvalue('reserve'); ?>';
			var title_del = '<?php echo $commons->getvalue('del_reserve_msg'); ?>';
			var title_add = '<?php echo $commons->getvalue('reserve_msg'); ?>';

			$.get(
				_reservAdress,
				{ mode: mode, num: num },
				function(data){
					console.log(data);
					object.children('img').attr('src', img_src).attr('alt', ((mode == 'reserver')?img_alt_del:img_alt));
					object.parent().parent('tr').toggleClass('reserve');
					object.attr('href', '?' + ((mode == 'reserver')?'del_reserve':'reserver') + '=' + num).attr('title', ((mode=='reserver')?title_del:title_add)).attr('onclick', "javascript:reserveMovie('" + ((mode == 'reserver')?'del_reserve':'reserver')+"', " + num + ', $(this));return false;');
				}
			);
		}
<?php } ?>

		$(function() {
			var _animateSearchPanel = function(scope){
				//console.log('behavior binded on: ' + $(scope).attr('id'));
				$(scope).bind('click', function() {
					if (this.expanded != 'true'){
						this.expanded = 'true';
					} else {
						this.expanded = 'false';
					}
					$('#search').slideToggle('slow');
					return false;
				});
			};

			var _loadPanel = function(scope){
				//console.log('should be about to load: ' + $(scope).attr('href') + ' from: ' + $(scope).attr('id'));
				$('#search').load(_qsFormAdress + $(scope).children('a').attr('href') + '&ajax=true', function() {
					$(scope).unbind('click');
					_animateSearchPanel(scope);
					Nifty('#search', 'tl bottom');
					Nifty('#tabs_advanced li', 'transparent bottom');
					_autocompleteTitle();
					_suggestInit();
					_spinsInit();
					if($(scope).attr('id') == 'simple_search_tab'){
						$('#advanced_search_tab').unbind('click');
						$('#advanced_search_tab').bind('click', function(){
							$(this).attr('class', 'tabs_search_active');
							$(scope).attr('class', 'tabs_search_inactive');
							_loadPanel(this);
							return false;
						});
					}else if($(scope).attr('id') == 'advanced_search_tab'){
						_initAdvTables();
						_advTabs();
						$('#simple_search_tab').unbind('click');
						$('#simple_search_tab').bind('click', function(){
							$(this).attr('class', 'tabs_search_active');
							$(scope).attr('class', 'tabs_search_inactive');
							_loadPanel(this);
							return false;
						});
					}
				});
			};

			$('#<?php echo (($varspages->getSearchMode() == 'simple')?'advanced_search_tab':'simple_search_tab') ?>').bind('click', function() {
				$(this).attr('class', 'tabs_search_active');
				$('#<?php echo (($varspages->getSearchMode() == 'simple')?'simple_search_tab':'advanced_search_tab') ?>').attr('class', 'tabs_search_inactive');
				_loadPanel($(this));
				return false;
			});

			$('#<?php echo (($varspages->getSearchMode() == 'simple')?'simple_search_tab':'advanced_search_tab') ?>').bind('click', function() {
				if (this.expanded != 'true'){
					this.expanded = 'true';
				} else {
					this.expanded = 'false';
				}
				$('#search').slideToggle('slow');
				return false;
			});

			var _advTabs = function(scope){
				$('#tabs_advanced li a').each(function(){
					$(this).click(function(){
						$('#advanced_search table.nohover').each(function(){
							$(this).hide();
						});
						$($(this).attr('href')).fadeIn('slow');
						$('#tabs_advanced .tabs_search_active').attr('class', 'tabs_search_inactive');
						$(this).parent().attr('class', 'tabs_search_active');
						_advTabs();
						$(this).unbind('click');
					});
				});
			};

			Nifty('#tabs_advanced li', 'transparent bottom');
			_advTabs();

			var _initAdvTables = function(){
<?php if(isset($_GET['tab']) && $_GET['tab'] != 'general'){ ?>
				$('#general_ad_search').hide();
<?php
}
if(!isset($_GET['tab']) || $_GET['tab'] != 'type'){
?>
				$('#types_ad_search').hide();
<?php
}
if(!isset($_GET['tab']) || $_GET['tab'] != 'origin'){
?>
				$('#origins_ad_search').hide();
<?php
}
if(!isset($_GET['tab']) || $_GET['tab'] != 'director'){
?>
				$('#directors_ad_search').hide();
<?php
}
if(!isset($_GET['tab']) || $_GET['tab'] != 'actor'){
?>
				$('#actors_ad_search').hide();
<?php }?>
			};
			_initAdvTables();

			/* Initialisation des suggest */
			var _suggestInit = function(scope){
				$('.type_autocompleter').autocomplete('../films/title_suggest.php', {
					delay: 150,
					width: 260,
					selectFirst: false,
					max:20,
					matchContains:true,
					extraParams: {
						field: 'types'
					}
				});

				$('.origin_autocompleter').autocomplete('../films/title_suggest.php', {
					delay: 150,
					width: 260,
					selectFirst: false,
					max:20,
					matchContains:true,
					extraParams: {
						field: 'origins'
					}
				});

				$('.director_autocompleter').autocomplete('../films/title_suggest.php', {
					delay: 150,
					width: 260,
					selectFirst: false,
					max:20,
					matchContains:true,
					extraParams: {
						field: 'directors'
					}
				});

				$('.actor_autocompleter').autocomplete('../films/title_suggest.php', {
					delay: 150,
					width: 260,
					selectFirst: false,
					max:20,
					matchContains:true,
					extraParams: {
						field: 'actors'
					}
				});
			};
	
			_suggestInit();

			var _spinsInit = function(scope){
				$("input.spin_button").SpinButton({min:0});
				$('#duration').change(function(){
					//console.log('changed to: ' + $(this).children("[@selected]").val());
					var current_item = $(this).children("[@selected]").val();
					if( current_item == 'between' ){
						$('#duration_min').removeAttr('disabled');
						$('#duration_max').removeAttr('disabled');
					}
					if( current_item == 'upper' ){
						$('#duration_min').removeAttr('disabled');
						$('#duration_max').attr({ disabled: 'disabled', value: '' });
					}
					if( current_item == 'lower' ){
						$('#duration_min').attr({ disabled: 'disabled', value: '' });
						$('#duration_max').removeAttr('disabled');
					}
				});

				$('#year').change(function(){
					//console.log('changed to: ' + $(this).children("[@selected]").val());
					var current_item = $(this).children("[@selected]").val();
					if( current_item == 'between' ){
						$('#year_end').removeAttr('disabled');
						$('#year_begin').removeAttr('disabled');
					}
					if( current_item == 'before' ){
						$('#year_end').removeAttr('disabled');
						$('#year_begin').attr({ disabled: 'disabled', value: '' });
					}
					if( current_item == 'after' ){
						$('#year_end').attr({ disabled: 'disabled', value: '' });
						$('#year_begin').removeAttr('disabled');
					}
				});

			}

			_spinsInit();

		});
	-->
	</script>
<?php } ?>
</head>
<body>
	<div id="smalllogo">
		<img src="../images/logo.jpg" alt="" />
	</div>
<?php
include(_includePath . 'top-divx.inc.php');
include(_includePath . 'menu.php');
//création et  mise en page liste
$colCount=5;
if($varspages->getMode() != Varspage::CONSULT_MODE){$colCount++;}
if($login->isAdmin()){$colCount += 2;}
?>
<div id="corpus">
<!--<pre>-->
<?php
//print_r($varspages);
/*echo "<pre>\n";
echo $films->getXmlList();
echo "</pre>\n";*/
?>
<!--</pre>-->

	<!-- Search -->
	<ul id="tabs_search">
		<li id="simple_search_tab"<?php echo ' class ="' . (($varspages->getSearchMode() == 'simple')?'tabs_search_active':'tabs_search_inactive') . '"'; ?>><a href="?search_mode=simple"><?php echo $commons->getValue("search_menu"); ?></a></li>
		<li id="advanced_search_tab"<?php echo ' class="' . (($varspages->getSearchMode() == 'advanced')?'tabs_search_active':'tabs_search_inactive') . '"'; ?>><a href="?search_mode=advanced"><?php echo $commons->getValue("advanced_search"); ?></a></li>
	</ul>
	<form action="../films/index.php" method="get" id="search">
<?php include('search.php'); ?>
	</form>

	<!-- ResultsList -->
	<table id="list">
		<thead>
			<tr>
				<td class="center show-info" colspan="<?php echo $colCount; ?>">
					<?php echo preg_replace("(%t)", $films->getCompte(), $commons->getValue('found_rows')); ?>
					<div class="info_message"><?php echo $commons->getValue('exec_query'); ?> : "<em><?php echo $films->getQuery(); ?></em>"</div>
				</td>
			</tr>
			<tr>
				<th>
					<a href="?tri=id_film" title="<?php echo $commons->getValue('orderby_num'); ?>"><?php echo $commons->getValue('num'); ?></a>
				</th>
				<th>
					<a href="?tri=titre" title="<?php echo $commons->getValue('orderby_title'); ?>"><?php echo $commons->getValue('title'); ?></a>
				</th>
				<th class="none"><?php echo $commons->getValue('sous_titre'); ?></th>
				<th>
					<a href="?tri=genre" title="<?php echo $commons->getValue('orderby_type'); ?>"><?php echo $commons->getValue('type'); ?></a>
				</th>
				<th>CD</th>
				<?php
				if($varspages->getMode() != Varspage::CONSULT_MODE){echo "\t\t\t\t<th>&nbsp;</th>\n";}
				if($login->isAdmin()){echo "\t\t\t\t<th>&nbsp;</th>\n\t\t\t\t<th>&nbsp;</th>\n";}
				?>
	
			</tr>
		</thead>
		<tfoot>
			<tr>
				<td colspan="<?php echo $colCount; ?>">
					<ul class="pages">
<?php
if($varspages->getPage()<11){$idepart=1;}else{$idepart=$varspages->getPage()-10;}
if($varspages->getPage()+10<$countpages){$ifin=$varspages->getPage()+10;}else{$ifin=$countpages;}

$next=$varspages->getPage()+1;
$previous=$varspages->getPage()-1;

if($varspages->getPage() != 1){
	echo "\t\t\t\t\t\t<li><a href=\"index.php?page=1\" title=\"".$commons->getValue("firstpage")."\">&lt;&lt;</a></li>\n";
	echo "\t\t\t\t\t\t<li><a href=\"?page=".$previous."\" title=\"".preg_replace("(%p)", $previous, $commons->getValue("previouspage"))."\">&lt;</a></li>\n";
}
for($i=$idepart; $i<=$ifin; $i++){
	$onclick="document.forms[0].action='index.php?page=".$i."';document.forms[0].submit();";
	if($i==$varspages->getPage()){
		echo("\t\t\t\t\t\t<li class=\"current\"><a href=\"?page=".$i."\" title=\"".preg_replace("(%c)", $varspages->getPage(), $commons->getValue("currentpage"))."\">-&nbsp;$i&nbsp;-</a></li>\n");
	} else {
		echo("\t\t\t\t\t\t<li><a href=\"?page=".$i."\" title=\"".preg_replace("(%p)", $i, $commons->getValue("page"))."\">$i</a></li>\n");
	}
}
if($varspages->getPage()!=$countpages){
	echo "\t\t\t\t\t\t<li><a href=\"?page=".$next."\" title=\"".preg_replace("(%s)", $next, $commons->getValue("nextpage"))."\">&gt;</a></li>\n";
	echo "\t\t\t\t\t\t<li><a href=\"?page=".$countpages."\" title=\"".preg_replace("(%l)", $countpages, $commons->getValue("lastpage"))."\">&gt;&gt;</a></li>\n";
}
?>
					</ul>
				</td>
			</tr>
		</tfoot>
		<tbody>
<?php
// Pour chaque film...
if ($films->getCompte() == 0){
	echo "\t\t\t<tr><td colspan=\"$colCount\" class=\"center\">" . $commons->getValue("nomatch") . "</td></tr>\n";
} else {
	foreach($liste_films as $film){
		$num = $film['num']; //NULL;
		$reserved = $reservation->isReserved($num);
		$lien_fiche = 'details.php?id=' . $num;
		echo "\t\t\t<tr";
		if($varspages->getMode() == Varspage::RESERV_MODE) echo ' id="r_' . $film['num'] . '"';
		if($reserved) echo ' class="reserve"';
		echo ">\n";

		echo "\t\t\t\t<td><a href=\"" . $lien_fiche . '">' . $film['num'] . "</a></td>\n";
		echo "\t\t\t\t<td><a href=\"" . $lien_fiche . '">' . $film['titre'] . "</a></td>\n";
		echo "\t\t\t\t<td><a href=\"" . $lien_fiche . '">' . $film['sous_titre'] . "&nbsp;</a></td>\n";
		echo "\t\t\t\t<td><a href=\"" . $lien_fiche . '">' . $film['genre'] . "</a></td>\n";
		echo "\t\t\t\t<td><a href=\"" . $lien_fiche . '">' . $film['cd'] . "</a></td>\n";

		if($varspages->getMode() != Varspage::CONSULT_MODE){
			$href = ($reserved)?'del_reserve=' . $num:'reserver=' . $num;
			$href_title = ($reserved)?$commons->getvalue('del_reserve_msg'):$commons->getvalue('reserve_msg');
			echo "\t\t\t\t<td class=\"center\">";
			$img = ($reserved)?'moins':'plus';
			$img_alt = ($reserved)?$commons->getvalue('del_reserve'):$commons->getvalue('reserve');

			echo '<a title="' . $href_title . '"';
			if($preferences->usesAjax() && $login->useAjax()){
				echo ' id="a_' . $film['num'] . '" onclick="javascript:reserveMovie(\'' . (($reserved)?'del_reserve':'reserver') . '\', ' . $film['num'] . ', $(this));return false;"';
			}/* else {*/
				echo ' href="?' . $href . '"';
			/*}*/
			echo '>';

			echo '<img';
			if($varspages->getMode() == Varspage::RESERV_MODE) echo ' id="i_' . $film['num'] . '" ';
			echo ' src="../images/' . $img . '.png" alt="' . $img_alt . '" />';
			echo '</a>';
			echo "</td>\n";
		}
		if($login->isAdmin()){
			echo "\t\t\t\t<td class=\"center\">\n";
			echo "\t\t\t\t\t<a href=\"modif.php?id=" . $num . "\" title=\"" . $commons->getValue('modif_msg') . "\"><img src=\"../images/modif.png\" alt=\"" . $commons->getValue('modif') . "\" /></a>\n";
			echo "\t\t\t\t</td>\n";

			echo "\t\t\t\t<td class=\"center\">\n";
			echo "\t\t\t\t\t<a href=\"?confirm_delete=" . $num . "\" title=\"" . $commons->getValue('delete_msg') . "\"><img src=\"../images/delete.png\" alt=\"" . $commons->getValue('delete') . "\" /></a>\n";
			echo "\t\t\t\t</td>\n";
		}
		echo "\t\t\t</tr>\n";
	}
}
?>
		</tbody>
	</table>
<?php
include(_includePath . 'copyright.php');
?>
</div>
</body>
</html>