<?php
/*
 * liste.php, 26 mai 2006
 * 
 * This file is part of videotheque.
 *
 * Copyright © 2005 Johan Cwiklinski
 *
 * File :               	liste.php
 * Author's email :     	johan@x-tnd.be
 * Author's Website :   	http://x-tnd.be
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 */

include('../parts/php_header.php');
require(_classPath . 'fpdf.php');
class PDF extends FPDF{
	function RoundedRect($x, $y, $w, $h,$r, $style = ''){
		$k = $this->k;
		$hp = $this->h;
		if($style=='F')
			$op='f';
		elseif($style=='FD' or $style=='DF')
			$op='B';
		else
			$op='S';
		$MyArc = 4/3 * (sqrt(2) - 1);
		$this->_out(sprintf('%.2f %.2f m',($x+$r)*$k,($hp-$y)*$k ));
		$xc = $x+$w-$r ;
		$yc = $y+$r;
		$this->_out(sprintf('%.2f %.2f l', $xc*$k,($hp-$y)*$k ));

		$this->_Arc($xc + $r*$MyArc, $yc - $r, $xc + $r, $yc - $r*$MyArc, $xc + $r, $yc);
		$xc = $x+$w-$r ;
		$yc = $y+$h-$r;
		$this->_out(sprintf('%.2f %.2f l',($x+$w)*$k,($hp-$yc)*$k));
		$this->_Arc($xc + $r, $yc + $r*$MyArc, $xc + $r*$MyArc, $yc + $r, $xc, $yc + $r);
		$xc = $x+$r ;
		$yc = $y+$h-$r;
		$this->_out(sprintf('%.2f %.2f l',$xc*$k,($hp-($y+$h))*$k));
		$this->_Arc($xc - $r*$MyArc, $yc + $r, $xc - $r, $yc + $r*$MyArc, $xc - $r, $yc);
		$xc = $x+$r ;
		$yc = $y+$r;
		$this->_out(sprintf('%.2f %.2f l',($x)*$k,($hp-$yc)*$k ));
		$this->_Arc($xc - $r, $yc - $r*$MyArc, $xc - $r*$MyArc, $yc - $r, $xc, $yc - $r);
		$this->_out($op);
	}

	function _Arc($x1, $y1, $x2, $y2, $x3, $y3){
		$h = $this->h;
		$this->_out(sprintf('%.2f %.2f %.2f %.2f %.2f %.2f c ', $x1*$this->k, ($h-$y1)*$this->k,
		$x2*$this->k, ($h-$y2)*$this->k, $x3*$this->k, ($h-$y3)*$this->k));
	}
	function Header(){
		$this->SetFont('Verdana', '', 18);
		$this->SetFillColor(0,102,153);
		$this->SetTextColor(255,255,255);
		$this->RoundedRect(10, 8, 190, 10, 3.5, 'DF');
		$this->Cell(0,8,'FilmZ',0,1,'C',0);
		//$this->SetFillColor(128,128,128);
		$this->SetDrawColor(0 , 102, 153);
		$this->SetLineWidth(0.8);
		$this->ln(1);
		//$this->Line($this->GetX(), $this->GetY(), 200, $this->GetY());
		$this->SetFont('verdana','',9);
		$this->SetTextColor(0,102,153);
		$this->Cell(10,5,'Num',0,0,'C',0);
		$this->Cell(65,5,'Titre',0,0,'C',0);
		$this->Cell(65,5,'Sous Titre',0,0,'C',0);
		$this->Cell(40,5,'Genre',0,0,'C',0);
		$this->Cell(10,5,'CD',0,1,'C',0);
		$this->Line($this->GetX(), $this->GetY(), 200, $this->GetY());
		$this->ln(1);
	}
	function Footer(){
		$this->SetY(-15);
		$this->SetFont('verdana','',8);
		//$this->SetFont('verdana','I',8);
		$this->Cell(0,10,'Page '.$this->PageNo().'/{nb}',0,0,'R');
	}
	function TitreCollection($nom){
		$this->SetFont('Verdana', '', 14);
		$this->SetTextColor(0,102,153);
		//$this->SetFillColor(0,102,153);
		//$this->SetTextColor(255,255,255);
		//$this->RoundedRect(10, 8, 190, 10, 3.5, 'DF');
		$this->Cell(0,6,utf8_decode($nom),0,1,'R',0);
	}
	function Corps($ordre, $titre, $stitre, $genre, $cd){
		//temp
		$this->SetFillColor(200,0,0);
		//temp

		$this->SetFont('verdana','',8);
		$this->SetTextColor(0,0,0);
		$this->Cell(10,4,$ordre,0,0,'L');

		//récupération des valeurs parès affichage de la première colonne
		//pour prise en compte du sauçt de page automatique
		$cur_y = $this->GetY();
		$cur_x = $this->GetX();

		//$this->Cell(65,4,$titre,0,0,'L');
		$mc_w = 65;
		$this->MultiCell($mc_w, 4, utf8_decode($titre), 0, 'L');
		$y_end = $this->GetY();

		$this->SetXY($cur_x += $mc_w, $cur_y);
		$this->MultiCell($mc_w, 4, utf8_decode($stitre), 0, 'L');
		//$this->Cell(65,4,$stitre,0,0,'L');
		$this->SetXY($cur_x += $mc_w, $cur_y);

		$this->Cell(40,4,utf8_decode($genre),0,0,'L');
		$this->Cell(10,4,$cd,0,1,'R');
		$y_end = ($this->GetY() < $y_end)?$y_end:$this->GetY();
		$this->SetDrawColor(0 , 102, 153);
		$this->SetY($y_end);
		$this->SetLineWidth(0.1);
		$this->Line($this->GetX(), $this->GetY(), 200, $this->GetY());
	}
}

if(count($_POST['collections']) == 0) $_POST['collections'][] = $preferences->getDefaultCollection();
$varspages->modifvalue('enrsbypage', 'all');

if(!isset($_POST['use_query'])){
	if(isset($_POST['genre']) && count($_POST['genre']) > 0){
		$varspages->genre = $_POST['genre'];
	}else{
		$varspages->genre = NULL;
	}
	if(isset($_POST['title']) && trim($_POST['title']) != ''){
		$varspages->setTitle($_POST["title"]);
	}else{
		$varspages->setTitle(NULL);
	}
	$varspages->modifvalue('orderby', 'titre, sous_titre, genre');
}else{
	unset($_POST['collections']);
	$_POST['collections'][] = $varspages->getCollection();
}

$pdf=new PDF('P','mm','A4');
$pdf->SetAuthor($commons->getValue('auteur'));
$pdf->SetCreator(utf8_decode('Vidéothèque ') . $commons->getValue('version') . ' - FPDF ' . FPDF_VERSION . ' - PHP ' . phpVersion());
$pdf_title = $commons->getValue('pdf_subject');
foreach($_POST['collections'] as $collection){
	$pdf_title .= ' - ' . $collections->loadName($collection);
}
$pdf_title .= ' - ';
if($varspages->getGenre()!=NULL){
	$names = (is_array($varspages->getGenre()))?
		$genres->getNames($varspages->getGenre()):
		$genres->getname(array($varspages->getGenre()));
	$pdf_title .= ' (genre(s) : ';
	$pdf_title .= implode(", ", $names);
	$pdf_title .= ($varspages->getTitle()!=NULL)?'':')';
}
if($varspages->getTitle()!=NULL){
	$pdf_title .= ($varspages->getGenre()!=NULL)?' - ':' (';
	$pdf_title .= 'titre : \'';
	$pdf_title .= $varspages->getTitle();
	$pdf_title .= '\')';
}

$pdf->SetTitle(utf8_decode($pdf_title));

$pdf->AddFont('verdana');
$pdf->AliasNbPages();
$pdf->Open();
$pdf->AddPage();

foreach($_POST['collections'] as $collection){
	$array = array();
	$pdf->TitreCollection($collections->loadName($collection));
	$array = $films->getList($collection);
	foreach($array as $film)
		$pdf->Corps($film['num'], $film['titre'], $film['sous_titre'], $film['genre'], $film['cd']);
}

$pdf->Output('liste_videotheque.pdf', (isset($_POST['dl']))?'D':'I');
?>
