<?php
/*
 * preferences.php, 26 mai 2006
 * 
 * This file is part of videotheque.
 *
 * Copyright © 2005 Johan Cwiklinski
 *
 * File :               	preferences.php
 * Author's email :     	johan@x-tnd.be
 * Author's Website :   	http://x-tnd.be
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 */

include('../parts/php_header.php');

/****************************************************/
/*                  Page HTML                       */
/****************************************************/
$headCaption = $commons->getValue('titre') . ' - ' . $commons->getValue('pagepreferences');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo substr($langs->language, 0, 2); ?>">
<head>
<?php include(_includePath.'html-header.php'); ?>
</head>
<body>
	<div id="smalllogo">
		<img src="../images/logo.jpg" alt="" />
	</div>
<?php
include(_includePath."top-divx.inc.php");
include(_includePath.'menu.php');
//création et  mise en page liste
$colCount=5;

if(isset($_POST['default_collection'])){
	$preferences->setCoversPath($_POST['covers_path']);
	$preferences->setDefaultCollection($_POST['default_collection']);
	$preferences->setUseAjax(($_POST['use_ajax'])?1:0);
	$preferences->store();
	$_SESSION['preferences'] = serialize($preferences);
}

if($varspages->getMode() != 'consult'){$colCount++;}
if($login->isAdmin()){$colCount += 2;}
?>
<div id="corpus">
	<form action="preferences.php" method="post" class="headline">
		<label for="covers_path"><?php echo $commons->getValue('covers_path'); ?></label>
		<input type="text" name="covers_path" id="covers_path" value="<?php echo $preferences->getCoversPath(); ?>" /><br />
		<label for="default_collection"><?php echo $commons->getValue('default_collection'); ?></label>
		<select name="default_collection" id="default_collection">
<?php
$list_collections = $collections->getList();
foreach($list_collections as $c){
	echo '<option value="' . $c['id_collection'] . '"';
	if($c['id_collection'] == $preferences->getDefaultCollection()) echo 'selected="selected"';
	echo '>' . $c['nom'] . '</option>';
}
?>
		</select><br />
		<label for="restrict"><?php echo $commons->getValue('restrict'); ?></label>
		<input type="checkbox" id="restrict" name="restrict" value="1" disabled="disabled"<?php if($preferences->isRestrict()) echo ' checked="checked"'; ?> /><br />
		<label for="use_ajax"><?php echo $commons->getValue('use_ajax'); ?></label>
		<input type="checkbox" id="use_ajax" name="use_ajax" value="1"<?php if($preferences->usesAjax()) echo ' checked="checked"'; ?> /><br />
		<input type="submit" />
	</form>
<?php
include(_includePath.'copyright.php');
?>
</div>
</body>
</html>