<?php
/*
 * search.php, 16 mars 2008
 * 
 * This file is part of videotheque.
 *
 * Copyright © 2008 Johan Cwiklinski
 *
 * File :               	search.php
 * Author's email :     	johan@x-tnd.be
 * Author's Website :   	http://videotheque.tuxfamily.org
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 */

/**
 * Quick and Advanced search menus
 * Loadable by ajax or php include.
 *
 * @package    Vidéothèque
 * @author     Johan Cwiklinski <johan AT x-tnd DOT be>
 * @version    0.5
 * @link       http://videotheque.tuxfamily.org
 */

if(isset($_GET['ajax'])){
	header('Content-Type: text/xml;charset=utf-8');
	include_once('../parts/php_header.php');
	if($varspages->getSearchMode() != $_GET['search_mode']){
		if($_GET['search_mode'] == 'simple') $varspages->reinit();
		$varspages->setSearchMode($_GET['search_mode']);
	}
	$_SESSION['varspages'] = serialize($varspages);
}
$genres = new Genres();
$liste_genres = $genres->getList();
?>
<?php if($varspages->getSearchMode() == 'simple'){ ?>
			<div id="quick_search">
				<label for="search_type"><?php echo $commons->getValue('select_type'); ?></label>
				<select name="search_type" id="search_type">
					<option value="all" <?php if(trim($varspages->getGenre()) == ''){echo 'selected="selected" ';}?>><?php echo $commons->getValue('indifferent'); ?></option>
<?php
	foreach($liste_genres as $genre){
		echo "\t\t\t\t\t<option value=\"" . $genre['id'] . "\""; 
		if($genre["id"]==$varspages->getGenre()) echo ' selected="selected"';
		echo ">" . $genre['genre'] . "</option>\n";
	}
?>
				</select>
				<label for="search_title"><?php echo $commons->getValue('select_title'); ?></label>
				<input type="text" name="search_title" id="search_title" value="<?php echo $varspages->getTitle(); ?>" />
				<input title="<?php echo $commons->getValue('launch_search_msg'); ?>" type="image" src="../images/search.png" alt="<?php echo $commons->getValue('launch_search'); ?>" name="launch_search" value="true" />
				<a href="../films/index.php?cleansearch" title="<?php echo $commons->getValue('reinit_search_msg'); ?>"><img src="../images/reset.png" alt="<?php echo $commons->getValue('reinit_search'); ?>" /></a>
			</div>
<?php 
}else if($varspages->getSearchMode() == 'advanced'){ //if simple
?>
			<div id="advanced_search">
<?php 
$tab = (isset($_GET['tab']))?$_GET['tab']:'general';
include('advanced_search.php');
?>
				<ul id="tabs_advanced">
					<li<?php echo ' class="' . (($tab == 'general')?'tabs_search_active':'tabs_search_inactive') . '"'; ?>><a href="#general_ad_search"><?php echo $commons->getValue('general'); ?></a></li>
					<li<?php echo ' class="'. (($tab == 'type')?'tabs_search_active':'tabs_search_inactive') . '"'; ?>><a href="#types_ad_search"><?php echo $commons->getValue('types'); ?></a></li>
					<li<?php echo ' class="' . (($tab == 'origin')?'tabs_search_active':'tabs_search_inactive') . '"'; ?>><a href="#origins_ad_search"><?php echo $commons->getValue('origins'); ?></a></li>
					<li<?php echo ' class="' . (($tab == 'director')?'tabs_search_active':'tabs_search_inactive') . '"'; ?>><a href="#directors_ad_search"><?php echo $commons->getValue('directors'); ?></a></li>
					<li<?php echo ' class="' . (($tab == 'actor')?'tabs_search_active':'tabs_search_inactive') . '"'; ?>><a href="#actors_ad_search"><?php echo $commons->getValue('actors'); ?></a></li>
				</ul>

				<!-- Buttons (launch and reset) -->
				<input title="<?php echo $commons->getValue('launch_search_msg'); ?>" type="image" src="../images/search.png" alt="<?php echo $commons->getValue('launch_search'); ?>" name="launch_search" value="true" />
				<a href="../films/index.php?cleansearch" title="<?php echo $commons->getValue('reinit_search_msg'); ?>"><img src="../images/reset.png" alt="<?php echo $commons->getValue('reinit_search'); ?>" /></a>
				<input type="hidden" name="search_mode" value="advanced"/>
			</div>
<?php }//if advanced ?>