<!--
/*
 * common.js, 23 septembre 2007
 * 
 * This file is part of videotheque.
 *
 * Copyright © 2007 Johan Cwiklinski
 *
 * File :               	common.js
 * Author's email :     	johan@x-tnd.be
 * Author's Website :   	http://videotheque.tuxfamily.org
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 */
-->

/* Autocomplete on title 
This function is defined here to be reused 
on search tab change.
*/
function formatItem(row) {
	var retour;
	retour = row[0];
	if(row[1] != '')
		retour += ' (' + row[1] + ')';
	if(row[2] != '')
		retour += ' - ' + row[2];
	return retour;
}

function formatResult(row) {
	return row[0];
}

var _autocompleteTitle = function(){
	$('#search_title').autocomplete('../films/title_suggest.php', {
		delay: 150,
		width: 260,
		formatItem: formatItem,
		formatResult: formatResult,
		selectFirst: false,
		max:20,
		matchContains:true
	});
}

/* On document ready
-------------------------------------------------------- */
$(function() {
	/**
	* Switch between collections
	*/
	$('#collection').change(function() {
		this.form.submit();
	});

	$('#error').backgroundFade({sColor:'#ffffff',eColor:'#ff9999',steps:50},function() {
		$(this).backgroundFade({sColor:'#ff9999',eColor:'#ffffff'});
	});

	$('.message').backgroundFade({sColor:'#666666',eColor:'#000000',steps:50},function() {
		$(this).animate({opacity: 1.0}, 3000)
		$(this).fadeOut('slow', function() {
			$(this).remove();
		});
	});

	$('.info_message').hide();
	$('.show-info').click(function() {
		if( !this.faded ) this.faded = 'true';
		if (this.faded != 'true'){
			this.faded = 'true';
			$('.info_message').fadeOut('slow');
		}
		else{
			this.faded = 'false';
			$('.info_message').fadeIn('slow');	
		}
	});

	/**
	* Init quick search form
	*/
	Nifty('#search', 'tl bottom');
	Nifty('#tabs_search li', 'transparent top');

	/**
	* Init menus
	*/
	Nifty('#menu dt', 'top');
	$('#menu dt').addClass('expanded');
	$('#menu dt:not(#head)').click(function(){
		if (this.titlebar != 'true'){
			this.titlebar = 'true';
			$(this).addClass('collapsed');
			$(this).removeClass('expanded');
		} else {
			this.titlebar = 'false';
			$(this).removeClass('collapsed');
			$(this).addClass('expanded');
		}
		$(this).next().slideToggle('slow');
		Nifty('#menu dt', 'top');
	});

	_autocompleteTitle();
});