<?php
/*
 * index.php, 09 mars 2007
 * 
 * This file is part of videotheque.
 *
 * Copyright © 2005 Johan Cwiklinski
 *
 * File :               	index.php
 * Author's email :     	johan@x-tnd.be
 * Author's Website :   	http://x-tnd.be
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 */

function getmicrotime() {//pour le calcul du tps d'execution de la page
        // Cette fonction récupère l'heure en microsecondes
        list($usec, $sec) = explode(' ', microtime());
        return ($usec + $sec);
}
$starttime = getmicrotime();//temp de départ (pour calcul du tps d'execution)

include('../config/variables.php.dist');

if(_debug){
	error_reporting(E_ALL ^ E_NOTICE);
	ini_set('display_errors', true);
}

include(_baseFunctions . 'all_functions.php');
// nom page en cours
$page_php = explode("/",$_SERVER["PHP_SELF"]);
$page_name = explode(".php",$page_php[count($page_php)-1]);
$page_name = $page_name[0];

ini_set("session.use_trans_sid", "0");
session_start();
setlocale (LC_ALL, 'fr_FR');

require_once(_classPath . 'langs.class.php');
$langs = new Languages();

require_once(_classPath . 'commons.class.php');
$commons = new Commons($langs->language);
	
require_once(_classPath . "video_mdb2.class.php");
$db = new VideoMdb2();

function preg_value($pattern, $value, $string){
	global $commons;
	return preg_replace($pattern, $value, $commons->getValue($string));
}


/****************************************************/
/*                  Page HTML                       */
/****************************************************/
$headCaption = $commons->getValue('titre') . ' - ' . $commons->getValue('install_title');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo substr($langs->language, 0, 2); ?>">
<head>
	<title><?php echo $commons->getValue('titre') . ' ** V' . $commons->getValue('version') . ' **'; ?></title>
<!-- 	<link type="text/css" rel="stylesheet" href="<?php echo _baseTemplates; ?>video.css" /> -->
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta http-equiv="Content-Style-Type" content="text/css" />
</head>
<body>
	<div id="smalllogo">
		<img src="../images/logo.jpg" alt="" />
	</div>
<div>
	<h1><?php echo $headCaption; ?></h1>
	<form method="get" action="index.php">
	<fieldset id="install_method">
		<legend><?php echo $commons->getValue('install_choose_method'); ?></legend>
		<label for="simple"><?php echo $commons->getValue('install_method_simple'); ?></label>
		<input type="radio" name="install_method" value="simple" id="simple" /><br />
		<label for="ajax"><?php echo $commons->getValue('install_method_ajax'); ?></label>
		<input type="radio" name="install_method" value="ajax" id="ajax" checked="checked" />
	</fieldset>
	</form>
<?php
include(_includePath . 'copyright.php');
?>
</div>
</body>
</html>