-- MySQL dump 10.11
--
-- Host: localhost    Database: videotheque
-- ------------------------------------------------------
-- Server version	5.0.36

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `acteurs`
--

DROP TABLE IF EXISTS `acteurs`;
CREATE TABLE `acteurs` (
  `id_acteur` int(5) NOT NULL auto_increment,
  `acteur` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`id_acteur`),
  UNIQUE KEY `NomActeur` (`acteur`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `acteurs`
--

LOCK TABLES `acteurs` WRITE;
/*!40000 ALTER TABLE `acteurs` DISABLE KEYS */;
/*!40000 ALTER TABLE `acteurs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `collections`
--

DROP TABLE IF EXISTS `collections`;
CREATE TABLE `collections` (
  `id_collection` int(11) NOT NULL auto_increment,
  `nom` varchar(15) NOT NULL default '',
  `table` varchar(15) NOT NULL default '',
  `prive` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id_collection`),
  UNIQUE KEY `nom` (`nom`),
  UNIQUE KEY `table` (`table`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `collections`
--

LOCK TABLES `collections` WRITE;
/*!40000 ALTER TABLE `collections` DISABLE KEYS */;
INSERT INTO `collections` VALUES (1,'DVD','dvd',0);
/*!40000 ALTER TABLE `collections` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dvd`
--

DROP TABLE IF EXISTS `dvd`;
CREATE TABLE `dvd` (
  `id_film` int(5) NOT NULL default '0',
  `titre` varchar(100) NOT NULL default '',
  `sous_titre` varchar(100) default NULL,
  `annee` varchar(4) default NULL,
  `resume` text,
  `duree` int(4) default NULL,
  `cd` int(1) NOT NULL default '1',
  PRIMARY KEY  (`id_film`),
  KEY `titre` (`titre`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `dvd`
--

LOCK TABLES `dvd` WRITE;
/*!40000 ALTER TABLE `dvd` DISABLE KEYS */;
/*!40000 ALTER TABLE `dvd` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dvdacteurs`
--

DROP TABLE IF EXISTS `dvdacteurs`;
CREATE TABLE `dvdacteurs` (
  `id_film` int(5) NOT NULL default '0',
  `id_acteur` int(5) NOT NULL default '0',
  PRIMARY KEY  (`id_film`,`id_acteur`),
  KEY `id_acteur_constraint` (`id_acteur`),
  CONSTRAINT `id_acteur_constraint` FOREIGN KEY (`id_acteur`) REFERENCES `acteurs` (`id_acteur`) ON UPDATE CASCADE,
  CONSTRAINT `id_film_constraint` FOREIGN KEY (`id_film`) REFERENCES `dvd` (`id_film`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `dvdacteurs`
--

LOCK TABLES `dvdacteurs` WRITE;
/*!40000 ALTER TABLE `dvdacteurs` DISABLE KEYS */;
/*!40000 ALTER TABLE `dvdacteurs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dvdgenres`
--

DROP TABLE IF EXISTS `dvdgenres`;
CREATE TABLE `dvdgenres` (
  `id_film` int(5) NOT NULL default '0',
  `id_genre` int(5) NOT NULL default '1',
  PRIMARY KEY  (`id_film`,`id_genre`),
  KEY `types_constraint` (`id_genre`),
  CONSTRAINT `film_types_constraint` FOREIGN KEY (`id_film`) REFERENCES `dvd` (`id_film`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `types_constraint` FOREIGN KEY (`id_genre`) REFERENCES `genres` (`id_genre`) ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1 ROW_FORMAT=DYNAMIC;

--
-- Dumping data for table `dvdgenres`
--

LOCK TABLES `dvdgenres` WRITE;
/*!40000 ALTER TABLE `dvdgenres` DISABLE KEYS */;
/*!40000 ALTER TABLE `dvdgenres` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dvdorigines`
--

DROP TABLE IF EXISTS `dvdorigines`;
CREATE TABLE `dvdorigines` (
  `id_film` int(5) NOT NULL default '0',
  `id_origine` int(5) NOT NULL default '1',
  PRIMARY KEY  (`id_film`,`id_origine`),
  KEY `origines_constraint` (`id_origine`),
  CONSTRAINT `film_origins_constraint` FOREIGN KEY (`id_film`) REFERENCES `dvd` (`id_film`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `origins_constraint` FOREIGN KEY (`id_origine`) REFERENCES `origines` (`id_origine`) ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1 ROW_FORMAT=DYNAMIC;

--
-- Dumping data for table `dvdorigines`
--

LOCK TABLES `dvdorigines` WRITE;
/*!40000 ALTER TABLE `dvdorigines` DISABLE KEYS */;
/*!40000 ALTER TABLE `dvdorigines` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dvdrealisateurs`
--

DROP TABLE IF EXISTS `dvdrealisateurs`;
CREATE TABLE `dvdrealisateurs` (
  `id_film` int(5) NOT NULL default '0',
  `id_realisateur` int(5) NOT NULL default '1',
  PRIMARY KEY  (`id_film`,`id_realisateur`),
  KEY `realisateurs_constraint` (`id_realisateur`),
  CONSTRAINT `directors_constraint` FOREIGN KEY (`id_realisateur`) REFERENCES `realisateurs` (`id_realisateur`) ON UPDATE CASCADE,
  CONSTRAINT `film_directors_constraint` FOREIGN KEY (`id_film`) REFERENCES `dvd` (`id_film`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1 ROW_FORMAT=DYNAMIC;

--
-- Dumping data for table `dvdrealisateurs`
--

LOCK TABLES `dvdrealisateurs` WRITE;
/*!40000 ALTER TABLE `dvdrealisateurs` DISABLE KEYS */;
/*!40000 ALTER TABLE `dvdrealisateurs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `emprunteurs`
--

DROP TABLE IF EXISTS `emprunteurs`;
CREATE TABLE `emprunteurs` (
  `id_emprunteur` int(11) NOT NULL auto_increment,
  `nom_emprunteur` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`id_emprunteur`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `emprunteurs`
--

LOCK TABLES `emprunteurs` WRITE;
/*!40000 ALTER TABLE `emprunteurs` DISABLE KEYS */;
/*!40000 ALTER TABLE `emprunteurs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `genres`
--

DROP TABLE IF EXISTS `genres`;
CREATE TABLE `genres` (
  `id_genre` int(5) NOT NULL auto_increment,
  `genre` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`id_genre`),
  UNIQUE KEY `genre` (`genre`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `genres`
--

LOCK TABLES `genres` WRITE;
/*!40000 ALTER TABLE `genres` DISABLE KEYS */;
INSERT INTO `genres` VALUES (2,'Action'),(3,'Animation'),(4,'Aventure'),(5,'Biographie'),(6,'Catastrophe'),(7,'Comédie'),(8,'Comédie dramatique'),(47,'Comédie romantique'),(9,'Concert'),(36,'Conte'),(45,'Court métrage'),(44,'Court-Métrage'),(10,'Dessin Animé'),(11,'Divers'),(12,'Documentaire'),(13,'Drame'),(14,'Émission humoristique'),(37,'Emotion'),(43,'Epoque'),(27,'Epouvante-horreur'),(34,'Erotique'),(30,'Espionnage'),(50,'Famille'),(15,'Fantastique'),(38,'Film musical'),(16,'Guerre'),(17,'Historique'),(18,'Horreur'),(28,'Humour'),(1,'Inconnu'),(39,'Japanimation'),(26,'Karaté'),(32,'Kung Fu'),(41,'kung-fu'),(33,'Mini-series / Feuilletons'),(31,'Musical'),(48,'Péplum'),(19,'Policier'),(20,'Pornographique'),(29,'Pour enfants'),(21,'Romance'),(22,'Science Fiction'),(40,'Série Anime / OAV'),(35,'Sitcom'),(23,'Spectacle'),(49,'Thêatre'),(24,'Thriller'),(25,'Western'),(46,'wu xia pian (sabre)');
/*!40000 ALTER TABLE `genres` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `origines`
--

DROP TABLE IF EXISTS `origines`;
CREATE TABLE `origines` (
  `id_origine` int(2) NOT NULL auto_increment,
  `origine` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`id_origine`),
  UNIQUE KEY `origine` (`origine`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `origines`
--

LOCK TABLES `origines` WRITE;
/*!40000 ALTER TABLE `origines` DISABLE KEYS */;
INSERT INTO `origines` VALUES (16,'Allemande'),(3,'Américaine'),(25,'Américo-canadienne'),(35,'Americo-Espagnole'),(22,'Américo-japonaise'),(38,'Americo-Néérlandaise'),(5,'Anglaise'),(9,'Anglo-Américaine'),(39,'Anglo-italienne'),(30,'Argentine'),(12,'Australienne'),(15,'Australo-Américaine'),(13,'Australo-canadienne'),(17,'Belge'),(33,'Brezilienne'),(40,'Canadienne'),(4,'Chinoise'),(50,'Coréene'),(42,'Danemark'),(37,'Espagnole'),(34,'Européenne'),(2,'Francaise'),(6,'Franco-allemande'),(10,'Franco-Américaine'),(23,'Franco-Belge'),(18,'Franco-Britanique'),(11,'Franco-Canadienne'),(36,'Franco-Coréenne'),(19,'Franco-Espagnole'),(14,'Franco-Italienne'),(31,'Franco-Roumaine'),(8,'germano-américaine'),(7,'Hong-Kongaise'),(46,'Hongroise'),(1,'Inconnue'),(44,'Irlandaise'),(52,'Israel'),(28,'Italienne'),(20,'Japonaise'),(47,'Luxembourgeoise'),(48,'Mexicaine'),(29,'Mexico-Espagnole'),(41,'Néerlandaise'),(21,'Néo-Zélandaise'),(51,'Roumaine'),(32,'Sud-Coréenne'),(43,'Suédoise'),(49,'Suisse'),(24,'Tchèque'),(27,'Thailandaise');
/*!40000 ALTER TABLE `origines` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `params`
--

DROP TABLE IF EXISTS `params`;
CREATE TABLE `params` (
  `covers_path` varchar(255) default NULL,
  `parental_code` varchar(255) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `params`
--

LOCK TABLES `params` WRITE;
/*!40000 ALTER TABLE `params` DISABLE KEYS */;
/*!40000 ALTER TABLE `params` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `preferences`
--

DROP TABLE IF EXISTS `preferences`;
CREATE TABLE `preferences` (
  `covers_path` varchar(255) NOT NULL,
  `default_collection` int(2) NOT NULL default '0',
  `restrict` tinyint(1) NOT NULL default '0',
  `web_default` varchar(20) NOT NULL,
  `plugins_path` varchar(255) NOT NULL,
  `use_ajax` tinyint(1) NOT NULL default '0'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `preferences`
--

LOCK TABLES `preferences` WRITE;
/*!40000 ALTER TABLE `preferences` DISABLE KEYS */;
INSERT INTO `preferences` VALUES ('',1,0,'Allociné','',1);
/*!40000 ALTER TABLE `preferences` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `prets`
--

DROP TABLE IF EXISTS `prets`;
CREATE TABLE `prets` (
  `login` varchar(15) NOT NULL default '',
  `id_film` int(5) NOT NULL default '0',
  PRIMARY KEY  (`login`,`id_film`),
  KEY `film_constraint` (`id_film`),
  CONSTRAINT `film_constraint` FOREIGN KEY (`id_film`) REFERENCES `dvd` (`id_film`) ON UPDATE CASCADE,
  CONSTRAINT `login_constraint` FOREIGN KEY (`login`) REFERENCES `users` (`login`) ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `prets`
--

LOCK TABLES `prets` WRITE;
/*!40000 ALTER TABLE `prets` DISABLE KEYS */;
/*!40000 ALTER TABLE `prets` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `qualite`
--

DROP TABLE IF EXISTS `qualite`;
CREATE TABLE `qualite` (
  `Qualite` tinyint(2) unsigned NOT NULL default '5',
  PRIMARY KEY  (`Qualite`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `qualite`
--

LOCK TABLES `qualite` WRITE;
/*!40000 ALTER TABLE `qualite` DISABLE KEYS */;
INSERT INTO `qualite` VALUES (1),(2),(3),(4),(5),(6),(7),(8),(9),(10);
/*!40000 ALTER TABLE `qualite` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `r_acteurs`
--

DROP TABLE IF EXISTS `r_acteurs`;
CREATE TABLE `r_acteurs` (
  `id_acteur` int(5) NOT NULL auto_increment,
  `acteur` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`id_acteur`),
  UNIQUE KEY `NomActeur` (`acteur`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `r_acteurs`
--

LOCK TABLES `r_acteurs` WRITE;
/*!40000 ALTER TABLE `r_acteurs` DISABLE KEYS */;
/*!40000 ALTER TABLE `r_acteurs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `r_genres`
--

DROP TABLE IF EXISTS `r_genres`;
CREATE TABLE `r_genres` (
  `id_genre` int(5) NOT NULL auto_increment,
  `genre` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`id_genre`),
  UNIQUE KEY `genre` (`genre`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `r_genres`
--

LOCK TABLES `r_genres` WRITE;
/*!40000 ALTER TABLE `r_genres` DISABLE KEYS */;
INSERT INTO `r_genres` VALUES (1,'Inconnu');
/*!40000 ALTER TABLE `r_genres` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `r_realisateurs`
--

DROP TABLE IF EXISTS `r_realisateurs`;
CREATE TABLE `r_realisateurs` (
  `id_realisateur` int(5) NOT NULL auto_increment,
  `realisateur` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`id_realisateur`),
  UNIQUE KEY `NomRealisateur` (`realisateur`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `r_realisateurs`
--

LOCK TABLES `r_realisateurs` WRITE;
/*!40000 ALTER TABLE `r_realisateurs` DISABLE KEYS */;
INSERT INTO `r_realisateurs` VALUES (1,'Inconnu');
/*!40000 ALTER TABLE `r_realisateurs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `realisateurs`
--

DROP TABLE IF EXISTS `realisateurs`;
CREATE TABLE `realisateurs` (
  `id_realisateur` int(5) NOT NULL auto_increment,
  `realisateur` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`id_realisateur`),
  UNIQUE KEY `NomRealisateur` (`realisateur`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `realisateurs`
--

LOCK TABLES `realisateurs` WRITE;
/*!40000 ALTER TABLE `realisateurs` DISABLE KEYS */;
INSERT INTO `realisateurs` VALUES (1,'Inconnu');
/*!40000 ALTER TABLE `realisateurs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `reserv`
--

DROP TABLE IF EXISTS `reserv`;
CREATE TABLE `reserv` (
  `login` varchar(15) NOT NULL default '',
  `id_film` int(5) NOT NULL default '0',
  `collection` int(1) NOT NULL default '0',
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`login`,`id_film`,`collection`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `reserv`
--

LOCK TABLES `reserv` WRITE;
/*!40000 ALTER TABLE `reserv` DISABLE KEYS */;
/*!40000 ALTER TABLE `reserv` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
CREATE TABLE `users` (
  `login` varchar(15) NOT NULL default '',
  `password` varchar(200) NOT NULL default '',
  `mail` varchar(50) default NULL,
  `admin` tinyint(1) NOT NULL default '0',
  `date` datetime default NULL,
  `auth` tinyint(1) NOT NULL default '0',
  `last_connect` datetime default NULL,
  `use_ajax` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`login`),
  UNIQUE KEY `mail` (`mail`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `users`
--

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
INSERT INTO `users` VALUES ('Admin',MD5('admin'),'root@localhost','1',NOW(),'1',NULL,'1');
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `weborigins`
--

DROP TABLE IF EXISTS `weborigins`;
CREATE TABLE `weborigins` (
  `web` varchar(20) NOT NULL default '',
  `id_origine` int(2) NOT NULL default '0',
  PRIMARY KEY  (`web`),
  KEY `web_origins_constraint` (`id_origine`),
  CONSTRAINT `weborigins_ibfk_1` FOREIGN KEY (`id_origine`) REFERENCES `origines` (`id_origine`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `weborigins`
--

LOCK TABLES `weborigins` WRITE;
/*!40000 ALTER TABLE `weborigins` DISABLE KEYS */;
INSERT INTO `weborigins` VALUES ('français',2),('France',2),('américain',3),('USA',3),('Chine',4),('chinois',4),('britannique',5),('Royaume-Uni',5),('Hong-Kong',7),('hong-kongais',7),('Australie',12),('Allemagne',16),('allemand',16),('Hongrie',16),('Suède',16),('Belgique',17),('Japon',20),('japonais',20),('néo-zélandais',21),('Nouvelle-Zélande',21),('thaïlandais',27),('Thaïlande',27),('Italie',28),('italien',28),('Corée du Sud',32),('sud-coréen',32),('Espagne',37),('espagnol',37),('Canada',40),('canadien',40),('Pays-Bas',41),('Irlande',44),('Luxembourg',47);
/*!40000 ALTER TABLE `weborigins` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2007-03-08  9:38:53
