<?php
/*
 * php_header.php, 26 mai 2006
 * 
 * This file is part of videotheque.
 *
 * Copyright © 2005 Johan Cwiklinski
 *
 * File :               	php_header.php
 * Author's email :     	johan@x-tnd.be
 * Author's Website :   	http://videotheque.tuxfamily.org
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 */

function getmicrotime() {//pour le calcul du tps d'execution de la page
        // Cette fonction récupère l'heure en microsecondes
        list($usec, $sec) = explode(" ", microtime());
        return ($usec + $sec);
}
$starttime = getmicrotime();//temp de départ (pour calcul du tps d'execution)

if(isset($_basePath)){
	include($_basePath . 'config/variables.php');
}else{
	include('../config/variables.php');
}

$conf = array(
	'error_prepend'	=>	'<div id="error" class="error">',
	'error_append'	=>	'</div>'
);
$display = &Log::singleton('display', '', 'videotheque', $conf, _screen_log);
$file = &Log::singleton('file', _log_file, 'videotheque', '', _file_log);

$log = &Log::singleton('composite');
$log->addChild($display);
$log->addChild($file);

include(_baseFunctions . 'all_functions.php');
// nom page en cours
$page_php = explode('/',$_SERVER['PHP_SELF']);
$page_name = explode('.php',$page_php[count($page_php)-1]);
$page_name = $page_name[0];

ini_set('session.use_trans_sid', '0');
session_start();
setlocale (LC_ALL, 'fr_FR');

$_SESSION['page'] = $page_name;
$_SESSION['php_page'] = $page_php[count($page_php)-1];
$_SESSION['page_category'] = $page_php[count($page_php)-2];

include(_classPath . 'varspage.class.php');
if(isset($_SESSION['varspages'])){
	$varspages = unserialize($_SESSION['varspages']);
}else $varspages = new Varspage();

if(isset($_GET['cleansearch'])){
	$varspages->reinit();
}

if(isset($_GET['search_mode']) && trim($_GET['search_mode']) != ''){
	if($varspages->getSearchMode() != $_GET['search_mode']){
		if($_GET['search_mode'] == 'simple') $varspages->reinit();
		$varspages->setSearchMode($_GET['search_mode']);
	}
}

require_once(_classPath . 'langs.class.php');
$langs = new Languages();

require_once(_classPath . 'commons.class.php');
$commons = new Commons($langs->language);

require_once(_classPath . "video_mdb2.class.php");
$db = new VideoMdb2();

require_once(_classPath . 'users.class.php'); 
if(isset($_SESSION['login'])){
	$login = unserialize($_SESSION['login']);
}else $login = new Users();

if(!$login->isLogged() && !$loginpage) header('location:' . $_basePath . 'index.php');
no_cache();

require_once(_classPath . 'collections.class.php');
require_once(_classPath . 'preferences.class.php');
require_once(_classPath . 'films.class.php');
require_once(_classPath . 'genres.class.php');
if(isset($_SESSION['preferences'])){
	$preferences = unserialize($_SESSION['preferences']);
} else {
	$preferences = new Preferences();
	$_SESSION['preferences'] = serialize($preferences);
}

$collections = new Collections();
$collections->load($varspages->getCollection());
$films = new Films();

if(isset($_GET['collection']) && $_GET['collection']!=-1){
	$varspages->setCollection($_GET['collection']);
	$_SESSION['varspages'] = serialize($varspages);
	$collections->load($_GET['collection']);
	$films->setCollection($collections);
}

// $genres = new Genres();
// $liste_genres = $genres->getList();

function preg_value($pattern, $value, $string){
	global $commons;
	return preg_replace($pattern, $value, $commons->getValue($string));
}
function useAjax(){
	global $preferences, $login;
	return ($preferences->usesAjax() && $login->useAjax());
}
?>