<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:php="http://php.net/xsl" exclude-result-prefixes="php">
<xsl:output method="xml" encoding="UTF-8" indent="yes" omit-xml-declaration="yes" />

<xsl:param name="space" select="' '"/>
<xsl:param name="del_reserve_msg" />
<xsl:param name="del_reserve" />

<xsl:template match="reservations">
	<p class="imaged">
		<xsl:value-of select="php:functionString('getUserInfos', @user)"/>
	</p>
	<xsl:apply-templates/>
</xsl:template>
	
<xsl:template match="collection">
	<table>
		<caption><xsl:value-of select="php:functionString('preg_value', '(%c)', @name, 'reserved')"/></caption>
		<thead>
			<tr>
				<th colspan="6"><xsl:value-of select="php:functionString('preg_value', '(%c)', count(reservation), 'reserved')"/></th>
			</tr>
			<xsl:if test="count(reservation) &gt; 0">
				<tr>
					<th>Num.</th>
					<th>Titre</th>
					<th>Sous-Titre</th>
					<th>Genre</th>
					<th>CD</th>
					<th> </th>
				</tr>
			</xsl:if>
		</thead>
		<tbody>
			<xsl:if test="count(reservation) = 0">
				<tr>
					<td class="evidence">
						<xsl:value-of select="php:functionString('preg_value', '(%c)', @name, 'no_reserv_in_collection')"/>
					</td>
				</tr>
			</xsl:if>
			<xsl:for-each select="reservation">
				<xsl:variable name="href">
					<xsl:text>details.php?id=</xsl:text>
					<xsl:value-of select="num" />
				</xsl:variable>
			<tr>
				<td>
					<a href="{$href}"><xsl:value-of select="num" /></a>
				</td>
				<td>
					<a href="{$href}"><xsl:value-of select="titre" /></a>
				</td>
				<td>
					<a href="{$href}"><xsl:value-of select="sous_titre" /></a>
				</td>
				<td>
					<a href="{$href}"><xsl:value-of select="genre" /></a>
				</td>
				<td>
					<a href="{$href}"><xsl:value-of select="cd" /></a>
				</td>
				<td class="center">
					<a>
						<xsl:attribute name="href">
							<xsl:choose>
								<xsl:when test="php:functionString('useAjax')">
									<xsl:text>javascript:del_reserve(</xsl:text>
									<xsl:value-of select="num" />
									<xsl:if test="count(//collection) &gt; 1">
										<xsl:text>, </xsl:text>
										<xsl:value-of select="../@id"/>
										<xsl:text>, '</xsl:text>
										<xsl:value-of select="//@user"/>
										<xsl:text>'</xsl:text>
									</xsl:if>
									<xsl:text>);</xsl:text>
								</xsl:when>
								<xsl:otherwise>
									<xsl:text>?del_reserve=</xsl:text>
									<xsl:value-of select="num" />
									<xsl:if test="count(//collection) &gt; 1">
										<xsl:text>&amp;set_collection=</xsl:text>
										<xsl:value-of select="../@id"/>
										<xsl:text>&amp;user=</xsl:text>
										<xsl:value-of select="//@user"/>
									</xsl:if>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:attribute>
						<xsl:attribute name="title"><xsl:value-of select="$del_reserve_msg" /></xsl:attribute>
						<img>
							<xsl:attribute name="src">../images/moins.png</xsl:attribute>
							<xsl:attribute name="alt"><xsl:value-of select="$del_reserve" /></xsl:attribute>
						</img>
					</a>
				</td>
			</tr>
			</xsl:for-each>
		</tbody>
	</table>
</xsl:template>

</xsl:stylesheet>