<?php
/*
 * details.php, 26 mai 2006
 * 
 * This file is part of videotheque.
 *
 * Copyright © 2005 Johan Cwiklinski
 *
 * File :               	details.php
 * Author's email :     	johan@x-tnd.be
 * Author's Website :   	http://x-tnd.be
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 */

require_once('../parts/php_header.php');

//Restriction d'accès pour les non administrateurs
if(($login->getLogin()!= $_GET['login'] && $login->getLogin() != $_POST['orig_login']) && !$login->isAdmin())
	header('location:../films/index.php');

$users = new Users();
$errors = array();
$valid = false;

if(isset($_GET['login'])){$users->load($_GET['login']);}
if(isset($_POST['orig_login']) && $_POST['modif'] == 1){$users->load($_POST['orig_login']);}
if( (isset($_POST['new']) && $_POST['new'] == 1) || (isset($_POST['modif']) && $_POST['modif'] == 1) ){ //ajout d'un nouvel utilisateur
	$valid = true;
	if(trim($_POST['ident']) == ''){
		$errors[] = $commons->getValue('user_require_login');
		$valid = false;
	}else{$users->setLogin($_POST['ident']);}
	if(trim($_POST['email']) == ''){
		$errors[] = $commons->getValue('user_require_email');
		$valid = false;
	}elseif(!preg_match('`^\w([-_.]?\w)*@\w([-_.]?\w)*\.([a-z]{2,10})$`',$_POST['email'])){
		$errors[] = 'le format de l\'adresse email n\'est pas correct';
		$valid = false;
	/*}elseif(!checkdnsrr(array_pop(explode("@",$_POST["email"])),"MX")){
		$errors[] = "le domaine sp&eacute;cifi&eacute; pour l'email n'est pas valide";
		$valid = false;*/
	}else{$users->setMail($_POST['email']);}
	if($_POST['new'] == 1 && trim($_POST['mdp']) == ''){
		$errors[] = $commons->getValue('user_require_password');
		$valid = false;
	}elseif($_POST["mdp"]!=$_POST['conf_mdp']){
		$errors[] = $commons->getValue('user_password_not_match');
		$valid = false;
	}elseif(trim($_POST['mdp']) != ''){$users->setPasse(md5($_POST['mdp']));}
	$users->setAdmin(($login->isAdmin())?$_POST['admin']:false);
	$users->setAuth(($login->isAdmin())?$_POST['authorized']:$users->isAuth());
	$users->setUseAjax($_POST['use_ajax']);

	if($valid){
		if($_POST['new']) $users->register();
		if($_POST['modif']) $users->update($_POST['orig_login']);
		if($login->getLogin() == $_POST['orig_login']){
			$login->logIn($users->getLogin(), $users->getPasse());
			$_SESSION['login'] = serialize($login);
		}
	}elseif($_POST['new']) $_GET['new'] = 1;
}

/****************************************************/
/*                  Page HTML                       */
/****************************************************/
//inclusion en tete liste
$headCaption = $commons->getValue('titre');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo substr($langs->language, 0, 2); ?>">
<head>
<?php
include(_includePath . 'html-header.php');
?>
<script type="text/javascript">
	<!--
	mail = /^[a-zA-Z0-9]+[a-zA-Z0-9\.-_\-]+@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9])+$/;
	function verifForm(frm){
		message="";
		if(!frm.ident.value){
			message = message + '\n- <?php echo addslashes($commons->getValue('user_require_login')); ?>';
			//return false;
		}
		if(!frm.email.value){
			message = message + '\n- <?php echo addslashes($commons->getValue('user_require_email')); ?>';
		}else{
			reponse=mail.test(frm.email.value);
			if(!reponse){
				message=message + '\n- <?php echo addslashes($commons->getValue('invalid_mail')); ?>';
			}
		}
<? if(isset($_GET['new'])){ ?>
		if(!frm.mdp.value){
			message=message+'\n- <?php echo addslashes($commons->getValue('user_require_password')); ?>';
		}
		if(frm.mdp.value != frm.conf_mdp.value){
<? }else{ ?>
		if(frm.mdp.value && frm.mdp.value != frm.conf_mdp.value){
<? } ?>
			message=message+'\n- <?php echo addslashes($commons->getValue('user_password_not_match')); ?>';
		}
		if(message!=""){
			alert('<?php echo addslashes($commons->getValue('form_errors')); ?>\n'+message);
			return false;
		}

		return true;
	}
	-->
</script>
</head>
<body>
	<div id="smalllogo"><img src="../images/logo.jpg" alt="" /></div>
<?php include(_includePath . 'top-divx.inc.php'); ?>
<?php include(_includePath . 'menu.php'); ?>
	<form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post" onsubmit="return verifForm(this)" class="headline">
<div id="corpus">
<?php
	if(!$valid && count($errors)>0){
		echo "\t<div class=\"error\">\n";
		echo "\t\t<p>" . $commons->getValue('form_errors') . "</p>\n";
		echo "\t\t<ul>\n";
		foreach($errors as $error)
			echo "\t\t\t<li>" . $error . "</li>";
		echo "\t\t</ul>\n";
		echo "\t</div>\n";
	}elseif($valid){
		echo '<div class="message">';
		echo ($_POST['new'] == 1) ? $commons->getValue('new_ok') : $commons->getValue('modifs_ok');
		echo '</div>';
	}
?>
	<fieldset>
		<legend><?php echo (isset($_GET['new']))?$commons->getValue('newuser'):preg_replace("(%l)", $users->getLogin(), $commons->getValue('edituser')); ?></legend>
		<div id="dates">
<?php
echo '<strong>' . $commons->getValue('user_date_inscription') . '</strong> : ';
echo utf8_encode(strftime("%A %e %B %G &agrave; %R", strtotime($users->getDateInscription())));
echo "<br />\n";
echo '<strong>' . $commons->getValue('user_last_connect') . '</strong> : ';
echo utf8_encode(strftime("%A %e %B %G &agrave; %R", strtotime($users->getLastConnect())));
?>
		</div>
		<input type="hidden" name="<?php echo (isset($_GET['new']))?'new':'modif'; ?>" value="1" />
		<input type="hidden" name="orig_login" value="<?php echo $users->getLogin(); ?>" />
		<label for="ident"><?php echo $commons->getValue('user_login'); ?></label>
		<input name="ident" id="ident" type="text" size="20" <?php echo 'value="' . $users->getLogin() . '"'; ?> /><br />
		<label for="email"><?php echo $commons->getValue('user_mail'); ?></label>
		<input name="email" id="email" type="text" size="20" <?php echo 'value="' . $users->getMail() . '"'; ?> /><br />
		<label for="mdp"><?php echo $commons->getValue('user_passe'); ?></label>
		<input name="mdp" id="mdp" type="password" size="20" /><br />
		<label for="conf_mdp"><?php echo $commons->getValue('user_confirm_passe'); ?></label>
		<input name="conf_mdp" id="conf_mdp" type="password" size="20" /><br />
<?php if($login->isAdmin()){ ?>
		<label for="admin"><?php echo $commons->getValue('user_admin'); ?></label>
<?php
echo "\t\t<input name=\"admin\" id=\"admin\" type=\"checkbox\" value=\"1\"";
if($users->isAdmin()) echo ' checked="checked"';
echo ' />';
?><br />
		<label for="authorized"><?php echo $commons->getValue("user_auth"); ?></label>
<?php 
echo "\t\t<input name=\"authorized\" id=\"authorized\" type=\"checkbox\" value=\"1\"";
if($users->isAuth()) echo ' checked="checked"';
echo ' />';
?><br />
<?php } ?>
		<label for="use_ajax"><?php echo $commons->getValue("use_ajax"); ?></label>
<?php 
echo "\t\t<input name=\"use_ajax\" id=\"use_ajax\" type=\"checkbox\" value=\"1\"";
if($users->useAjax()==1) echo ' checked="checked"';
echo ' />';
?>
<input id="submit" type="submit" value="<?php echo (isset($_GET['new']))?$commons->getValue('add_button'):$commons->getValue('save_button'); ?>" />
	</fieldset>
<?php
include(_includePath . 'copyright.php');
?>
</div>
</form>
</body>
</html>