<?php
/*
 * users.php, 26 mai 2006
 * 
 * This file is part of videotheque.
 *
 * Copyright © 2005 Johan Cwiklinski
 *
 * File :               	users.php
 * Author's email :     	johan@x-tnd.be
 * Author's Website :   	http://x-tnd.be
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 */

include('../parts/php_header.php');

//Restriction d'accès pour les non administrateurs
if(!$login->isAdmin())
	header('location:../films/index.php');


$users = new Users();
$deleted = NULL;

if(isset($_GET['confirm_delete']) && $_GET['confirm_delete'] == 'true')
	$deleted = $users->delete($_GET['login']);

$array = $users->getList();
no_cache();

/****************************************************/
/*                  Page HTML                       */
/****************************************************/
$headCaption = $commons->getValue('titre') . ' - ';
$headCaption .= (isset($_GET['confirm_delete']))?$commons->getValue('user_delete'):$commons->getValue('users');

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo substr($langs->language, 0, 2); ?>">
<head>
<?php include(_includePath . 'html-header.php'); ?>
</head>
<body>
<script type="text/javascript">
	function confirmDel(user, mailuser){
		if (window.confirm('Etes vous sur(e) de vouloir supprimer :\n'+user+' ('+mailuser+')')){
			location.href='users.php?confirm_delete=true&amp;login='+user;
			return true;
		} else {
			return false;
		}
	}
</script>
	<div class="logo" id="smalllogo"><img src="../images/logo.jpg" alt=""/></div>
<?php
include(_includePath . 'top-divx.inc.php');
include(_includePath . 'menu.php');
?>
<div id="corpus">
<?php
if(isset($_GET['confirm_delete']) && $_GET['confirm_delete'] == 'false'){
	$users->load($_GET['login']);
	$search = array('(%l)', '(%m)');
	$replace = array($users->getLogin(), $users->getMail());
	echo "\t<div id=\"confirm\">\n\t\t<p>" . preg_replace($search, $replace, $commons->getValue('user_confirm_delete')) . "</p>\n";
	echo "\t\t<p><a href=\"?confirm_delete=true&amp;login=".$users->getLogin()."\">" . $commons->getValue("user_delete_yes") . "</a> - <a href=\"" . $_SERVER["PHP_SELF"]."\">" . $commons->getValue("user_delete_no") . "</a></p>\n\t</div>\n";
}else{
?>
<?php
if(isset($deleted)){
	echo '<div class="';
	echo ($deleted==1)?'message':'error';
	echo '">';
	echo ($deleted==1)?
		preg_replace("(%u)", $_GET['login'], $commons->getValue('user_deleted')):
		preg_replace("(%u)", $_GET['login'], $commons->getValue('user_not_deleted'));
	echo '</div>';
}
?>
	<div class="center"><?php echo preg_replace("(%t)", $users->getCompte(), $commons->getValue('found_rows')); ?></div>
	<table id="list">
		<thead>
			<tr>
				<th class="none">Login</th>
				<th class="none">Email</th>
				<th class="none">Auth</th>
				<th class="none">Admin</th>
				<th class="none">Ajax</th>
				<th class="none">&nbsp;</th>
			</tr>
		</thead>
		<tbody>
  <?php
	foreach($array as $line){
		echo "\t\t\t<tr>\n";
		$lien_fiche = 'details.php?login=' . $line['login'];
		echo "\t\t\t\t<td><a href=\"$lien_fiche\">" . $line['login'] . "</a></td>\n";
		echo "\t\t\t\t<td><a href=\"$lien_fiche\">" . $line['mail'] . "</a></td>\n";
		echo "\t\t\t\t<td class=\"center\"><a href=\"$lien_fiche\">";
		echo '<img src="../images/';
		echo ($line['auth'] == 1) ? 'enabled' : 'disabled';
		echo '.png" alt="';
		echo ($line['auth']==1) ? 'oui' : 'non';
		echo '" />';
		echo "</a></td>\n";
		echo "\t\t\t\t<td class=\"center\"><a href=\"$lien_fiche\">";
		echo '<img src="../images/';
		echo ($line['admin'] == 1)? 'enabled':'disabled';
		echo '.png" alt="';
		echo ($line['admin'] == 1)?'oui':'non';
		echo '" />';
		echo "</a></td>\n";

		echo "\t\t\t\t<td class=\"center\"><a href=\"$lien_fiche\">";
		echo '<img src="../images/';
		echo ($line['ajax'] == 1)?'enabled':'disabled';
		echo '.png" alt="';
		echo ($line['ajax'] == 1)?'oui':'non';
		echo '" />';
		echo "</a></td>\n";

		echo "\t\t\t\t<td class=\"center\"><a href=\"?confirm_delete=false&amp;login=".$line["login"]."\"><img src=\"../images/delete.png\" alt=\"supprimer\" /></a></td>";
		echo "\t\t\t\t</tr>\n";
	}
?>
		</tbody>
	</table>
<?php
}
include(_includePath . 'copyright.php');
?>
</div>
</body>
</html>